[%categories]
Packages=
demos-hangman=Packages
system=Packages
system-base=Packages
system-caching=Packages
system-caching-dependencies=Packages
system-cli-commands=Packages
system-cli-commands-shell=Packages
system-collections=Packages
system-console=Packages
system-db=Packages
system-db-ar=Packages
system-db-schema=Packages
system-db-schema-mssql=Packages
system-db-schema-mysql=Packages
system-db-schema-oci=Packages
system-db-schema-pgsql=Packages
system-db-schema-sqlite=Packages
system-gii=Packages
system-i18n=Packages
system-i18n-gettext=Packages
system-logging=Packages
system-test=Packages
system-utils=Packages
system-validators=Packages
system-web=Packages
system-web-actions=Packages
system-web-auth=Packages
system-web-filters=Packages
system-web-form=Packages
system-web-helpers=Packages
system-web-renderers=Packages
system-web-services=Packages
system-web-widgets=Packages
system-web-widgets-captcha=Packages
system-web-widgets-pagers=Packages
system-web-widgets-views=Packages
Text_Diff=Packages
Text_Highlighter=Packages
zii-behaviors=Packages
zii-widgets=Packages
zii-widgets-grid=Packages
zii-widgets-jui=Packages

[%classes]
CAccessControlFilter=system-web-auth
CAccessRule=system-web-auth
CAction=system-web-actions
CActiveRecord=system-db-ar
CActiveRecordMetaData=system-db-ar
CActiveRelation=system-db-ar
CApplication=system-base
CApplicationComponent=system-base
CBaseActiveRelation=system-db-ar
CBaseController=system-web
CBaseUrlRule=system-web
CBelongsToRelation=system-db-ar
CClientScript=system-web
CComponent=system-base
CController=system-web
CCookieCollection=system-web
CDbColumnSchema=system-db-schema
CDbCommand=system-db
CDbConnection=system-db
CDbSchema=system-db-schema
CDbTableSchema=system-db-schema
CEnumerable=system-base
CEvent=system-base
CFilter=system-web-filters
CFilterChain=system-web-filters
CHasManyRelation=system-db-ar
CHasOneRelation=system-db-ar
CHtml=system-web-helpers
CHttpRequest=system-web
CHttpSession=system-web
CInlineAction=system-web-actions
CInlineFilter=system-web-filters
CList=system-collections
CListIterator=system-collections
CLogger=system-logging
CManyManyRelation=system-db-ar
CMap=system-collections
CModel=system-base
CModule=system-base
CNumberValidator=system-validators
Comment=
CommentController=
CommentTest=system-test
Contact=
Controller=
CRequiredValidator=system-validators
CSqliteColumnSchema=system-db-schema-sqlite
CSqliteSchema=system-db-schema-sqlite
CStatRelation=system-db-ar
CStringValidator=system-validators
CUrlManager=system-web
CUrlRule=system-web
CValidator=system-validators
CWebApplication=system-web
CWebUser=system-web-auth
CWidget=system-web-widgets
CWidgetFactory=system-web
DefaultController=
HTML5=
HTML5TreeConstructer=
HTMLPurifier=
HTMLPurifier_AttrCollections=
HTMLPurifier_AttrDef=
HTMLPurifier_AttrDef_CSS=
HTMLPurifier_AttrDef_CSS_AlphaValue=
HTMLPurifier_AttrDef_CSS_Background=
HTMLPurifier_AttrDef_CSS_BackgroundPosition=
HTMLPurifier_AttrDef_CSS_Border=
HTMLPurifier_AttrDef_CSS_Color=
HTMLPurifier_AttrDef_CSS_Composite=
HTMLPurifier_AttrDef_CSS_DenyElementDecorator=
HTMLPurifier_AttrDef_CSS_Filter=
HTMLPurifier_AttrDef_CSS_Font=
HTMLPurifier_AttrDef_CSS_FontFamily=
HTMLPurifier_AttrDef_CSS_ImportantDecorator=
HTMLPurifier_AttrDef_CSS_Length=
HTMLPurifier_AttrDef_CSS_ListStyle=
HTMLPurifier_AttrDef_CSS_Multiple=
HTMLPurifier_AttrDef_CSS_Number=
HTMLPurifier_AttrDef_CSS_Percentage=
HTMLPurifier_AttrDef_CSS_TextDecoration=
HTMLPurifier_AttrDef_CSS_URI=
HTMLPurifier_AttrDef_Enum=
HTMLPurifier_AttrDef_HTML_Bool=
HTMLPurifier_AttrDef_HTML_Class=
HTMLPurifier_AttrDef_HTML_Color=
HTMLPurifier_AttrDef_HTML_FrameTarget=
HTMLPurifier_AttrDef_HTML_ID=
HTMLPurifier_AttrDef_HTML_Length=
HTMLPurifier_AttrDef_HTML_LinkTypes=
HTMLPurifier_AttrDef_HTML_MultiLength=
HTMLPurifier_AttrDef_HTML_Nmtokens=
HTMLPurifier_AttrDef_HTML_Pixels=
HTMLPurifier_AttrDef_Integer=
HTMLPurifier_AttrDef_Lang=
HTMLPurifier_AttrDef_Switch=
HTMLPurifier_AttrDef_Text=
HTMLPurifier_AttrDef_URI=
HTMLPurifier_AttrDef_URI_Email=
HTMLPurifier_AttrDef_URI_Email_SimpleCheck=
HTMLPurifier_AttrDef_URI_Host=
HTMLPurifier_AttrDef_URI_IPv4=
HTMLPurifier_AttrDef_URI_IPv6=
HTMLPurifier_AttrTransform=
HTMLPurifier_AttrTransform_Background=
HTMLPurifier_AttrTransform_BdoDir=
HTMLPurifier_AttrTransform_BgColor=
HTMLPurifier_AttrTransform_BoolToCSS=
HTMLPurifier_AttrTransform_Border=
HTMLPurifier_AttrTransform_EnumToCSS=
HTMLPurifier_AttrTransform_ImgRequired=
HTMLPurifier_AttrTransform_ImgSpace=
HTMLPurifier_AttrTransform_Input=
HTMLPurifier_AttrTransform_Lang=
HTMLPurifier_AttrTransform_Length=
HTMLPurifier_AttrTransform_Name=
HTMLPurifier_AttrTransform_NameSync=
HTMLPurifier_AttrTransform_Nofollow=
HTMLPurifier_AttrTransform_SafeEmbed=
HTMLPurifier_AttrTransform_SafeObject=
HTMLPurifier_AttrTransform_SafeParam=
HTMLPurifier_AttrTransform_ScriptRequired=
HTMLPurifier_AttrTransform_Textarea=
HTMLPurifier_AttrTypes=
HTMLPurifier_AttrValidator=
HTMLPurifier_Bootstrap=
HTMLPurifier_ChildDef=
HTMLPurifier_ChildDef_Chameleon=
HTMLPurifier_ChildDef_Custom=
HTMLPurifier_ChildDef_Empty=
HTMLPurifier_ChildDef_Optional=
HTMLPurifier_ChildDef_Required=
HTMLPurifier_ChildDef_StrictBlockquote=
HTMLPurifier_ChildDef_Table=
HTMLPurifier_Config=
HTMLPurifier_ConfigSchema=
HTMLPurifier_ConfigSchema_Builder_ConfigSchema=
HTMLPurifier_ConfigSchema_Builder_Xml=
HTMLPurifier_ConfigSchema_Exception=
HTMLPurifier_ConfigSchema_Interchange=
HTMLPurifier_ConfigSchema_InterchangeBuilder=
HTMLPurifier_ConfigSchema_Interchange_Directive=
HTMLPurifier_ConfigSchema_Interchange_Id=
HTMLPurifier_ConfigSchema_Validator=
HTMLPurifier_ConfigSchema_ValidatorAtom=
HTMLPurifier_ContentSets=
HTMLPurifier_Context=
HTMLPurifier_CSSDefinition=
HTMLPurifier_Definition=
HTMLPurifier_DefinitionCache=
HTMLPurifier_DefinitionCacheFactory=
HTMLPurifier_DefinitionCache_Decorator=
HTMLPurifier_DefinitionCache_Decorator_Cleanup=
HTMLPurifier_DefinitionCache_Decorator_Memory=
HTMLPurifier_DefinitionCache_Null=
HTMLPurifier_DefinitionCache_Serializer=
HTMLPurifier_Doctype=
HTMLPurifier_DoctypeRegistry=
HTMLPurifier_ElementDef=
HTMLPurifier_Encoder=
HTMLPurifier_EntityLookup=
HTMLPurifier_EntityParser=
HTMLPurifier_ErrorCollector=
HTMLPurifier_ErrorStruct=
HTMLPurifier_Exception=
HTMLPurifier_Filter=
HTMLPurifier_Filter_ExtractStyleBlocks=
HTMLPurifier_Filter_YouTube=
HTMLPurifier_Generator=
HTMLPurifier_HTMLDefinition=
HTMLPurifier_HTMLModule=
HTMLPurifier_HTMLModuleManager=
HTMLPurifier_HTMLModule_Bdo=
HTMLPurifier_HTMLModule_CommonAttributes=
HTMLPurifier_HTMLModule_Edit=
HTMLPurifier_HTMLModule_Forms=
HTMLPurifier_HTMLModule_Hypertext=
HTMLPurifier_HTMLModule_Image=
HTMLPurifier_HTMLModule_Legacy=
HTMLPurifier_HTMLModule_List=
HTMLPurifier_HTMLModule_Name=
HTMLPurifier_HTMLModule_Nofollow=
HTMLPurifier_HTMLModule_NonXMLCommonAttributes=
HTMLPurifier_HTMLModule_Object=
HTMLPurifier_HTMLModule_Presentation=
HTMLPurifier_HTMLModule_Proprietary=
HTMLPurifier_HTMLModule_Ruby=
HTMLPurifier_HTMLModule_SafeEmbed=
HTMLPurifier_HTMLModule_SafeObject=
HTMLPurifier_HTMLModule_Scripting=
HTMLPurifier_HTMLModule_StyleAttribute=
HTMLPurifier_HTMLModule_Tables=
HTMLPurifier_HTMLModule_Target=
HTMLPurifier_HTMLModule_Text=
HTMLPurifier_HTMLModule_Tidy=
HTMLPurifier_HTMLModule_Tidy_Name=
HTMLPurifier_HTMLModule_Tidy_Proprietary=
HTMLPurifier_HTMLModule_Tidy_Strict=
HTMLPurifier_HTMLModule_Tidy_Transitional=
HTMLPurifier_HTMLModule_Tidy_XHTML=
HTMLPurifier_HTMLModule_Tidy_XHTMLAndHTML4=
HTMLPurifier_HTMLModule_XMLCommonAttributes=
HTMLPurifier_IDAccumulator=
HTMLPurifier_Injector=
HTMLPurifier_Injector_AutoParagraph=
HTMLPurifier_Injector_DisplayLinkURI=
HTMLPurifier_Injector_Linkify=
HTMLPurifier_Injector_PurifierLinkify=
HTMLPurifier_Injector_RemoveEmpty=
HTMLPurifier_Injector_RemoveSpansWithoutAttributes=
HTMLPurifier_Injector_SafeObject=
HTMLPurifier_Language=
HTMLPurifier_LanguageFactory=
HTMLPurifier_Language_en_x_test=
HTMLPurifier_Length=
HTMLPurifier_Lexer=
HTMLPurifier_Lexer_DirectLex=
HTMLPurifier_Lexer_DOMLex=
HTMLPurifier_Lexer_PEARSax3=
HTMLPurifier_Lexer_PH5P=
HTMLPurifier_PercentEncoder=
HTMLPurifier_Printer=
HTMLPurifier_Printer_ConfigForm=
HTMLPurifier_Printer_ConfigForm_bool=
HTMLPurifier_Printer_ConfigForm_default=
HTMLPurifier_Printer_ConfigForm_NullDecorator=
HTMLPurifier_Printer_CSSDefinition=
HTMLPurifier_Printer_HTMLDefinition=
HTMLPurifier_PropertyList=
HTMLPurifier_PropertyListIterator=
HTMLPurifier_Strategy=
HTMLPurifier_Strategy_Composite=
HTMLPurifier_Strategy_Core=
HTMLPurifier_Strategy_FixNesting=
HTMLPurifier_Strategy_MakeWellFormed=
HTMLPurifier_Strategy_RemoveForeignElements=
HTMLPurifier_Strategy_ValidateAttributes=
HTMLPurifier_StringHash=
HTMLPurifier_StringHashParser=
HTMLPurifier_TagTransform=
HTMLPurifier_TagTransform_Font=
HTMLPurifier_TagTransform_Simple=
HTMLPurifier_Token=
HTMLPurifier_TokenFactory=
HTMLPurifier_Token_Comment=
HTMLPurifier_Token_Empty=
HTMLPurifier_Token_End=
HTMLPurifier_Token_Start=
HTMLPurifier_Token_Tag=
HTMLPurifier_Token_Text=
HTMLPurifier_UnitConverter=
HTMLPurifier_URI=
HTMLPurifier_URIDefinition=
HTMLPurifier_URIFilter=
HTMLPurifier_URIFilter_DisableExternal=
HTMLPurifier_URIFilter_DisableExternalResources=
HTMLPurifier_URIFilter_DisableResources=
HTMLPurifier_URIFilter_HostBlacklist=
HTMLPurifier_URIFilter_MakeAbsolute=
HTMLPurifier_URIFilter_Munge=
HTMLPurifier_URIParser=
HTMLPurifier_URIScheme=
HTMLPurifier_URISchemeRegistry=
HTMLPurifier_URIScheme_data=
HTMLPurifier_URIScheme_file=
HTMLPurifier_URIScheme_ftp=
HTMLPurifier_URIScheme_http=
HTMLPurifier_URIScheme_https=
HTMLPurifier_URIScheme_mailto=
HTMLPurifier_URIScheme_news=
HTMLPurifier_URIScheme_nntp=
HTMLPurifier_VarParser=
HTMLPurifier_VarParserException=
HTMLPurifier_VarParser_Flexible=
HTMLPurifier_VarParser_Native=
Lookup=
MarkdownExtra_Parser=
Markdown_Parser=
Post=
PostController=
PostTest=system-test
SiteController=
SiteTest=
Tag=
TextDiff=
User=
Yii=system
YiiBase=system
GameController=demos-hangman
CBehavior=system-base
CErrorEvent=system-base
CErrorHandler=system-base
CException=system-base
CExceptionEvent=system-base
CHttpException=system-base
CModelBehavior=system-base
CModelEvent=system-base
CSecurityManager=system-base
CStatePersister=system-base
ShellException=system-base
CApcCache=system-caching
CCache=system-caching
CDbCache=system-caching
CDummyCache=system-caching
CEAcceleratorCache=system-caching
CFileCache=system-caching
CMemCache=system-caching
CMemCacheServerConfiguration=system-caching
CWinCache=system-caching
CXCache=system-caching
CZendDataCache=system-caching
CCacheDependency=system-caching-dependencies
CChainedCacheDependency=system-caching-dependencies
CDbCacheDependency=system-caching-dependencies
CDirectoryCacheDependency=system-caching-dependencies
CExpressionDependency=system-caching-dependencies
CFileCacheDependency=system-caching-dependencies
CGlobalStateCacheDependency=system-caching-dependencies
MessageCommand=system-cli-commands
MigrateCommand=system-cli-commands
ShellCommand=system-cli-commands
WebAppCommand=system-cli-commands
ControllerCommand=system-cli-commands-shell
CrudCommand=system-cli-commands-shell
FormCommand=system-cli-commands-shell
HelpCommand=system-cli-commands-shell
ModelCommand=system-cli-commands-shell
ModuleCommand=system-cli-commands-shell
CAttributeCollection=system-collections
CConfiguration=system-collections
CMapIterator=system-collections
CQueue=system-collections
CQueueIterator=system-collections
CStack=system-collections
CStackIterator=system-collections
CTypedList=system-collections
CTypedMap=system-collections
CConsoleApplication=system-console
CConsoleCommand=system-console
CConsoleCommandRunner=system-console
CHelpCommand=system-console
CDbDataReader=system-db
CDbException=system-db
CDbMigration=system-db
CDbTransaction=system-db
CActiveFinder=system-db-ar
CActiveRecordBehavior=system-db-ar
CJoinElement=system-db-ar
CJoinQuery=system-db-ar
CStatElement=system-db-ar
CDbCommandBuilder=system-db-schema
CDbCriteria=system-db-schema
CDbExpression=system-db-schema
CMssqlColumnSchema=system-db-schema-mssql
CMssqlCommandBuilder=system-db-schema-mssql
CMssqlPdoAdapter=system-db-schema-mssql
CMssqlSchema=system-db-schema-mssql
CMssqlTableSchema=system-db-schema-mssql
CMysqlColumnSchema=system-db-schema-mysql
CMysqlSchema=system-db-schema-mysql
CMysqlTableSchema=system-db-schema-mysql
COciColumnSchema=system-db-schema-oci
COciCommandBuilder=system-db-schema-oci
COciSchema=system-db-schema-oci
COciTableSchema=system-db-schema-oci
CPgsqlColumnSchema=system-db-schema-pgsql
CPgsqlSchema=system-db-schema-pgsql
CPgsqlTableSchema=system-db-schema-pgsql
CSqliteCommandBuilder=system-db-schema-sqlite
CCodeFile=system-gii
CCodeForm=system-gii
CCodeGenerator=system-gii
CCodeModel=system-gii
ControllerCode=system-gii
ControllerGenerator=system-gii
CrudCode=system-gii
CrudGenerator=system-gii
FormCode=system-gii
FormGenerator=system-gii
GiiModule=system-gii
ModelCode=system-gii
ModelGenerator=system-gii
ModuleCode=system-gii
ModuleGenerator=system-gii
CChoiceFormat=system-i18n
CDateFormatter=system-i18n
CDbMessageSource=system-i18n
CGettextMessageSource=system-i18n
CLocale=system-i18n
CMessageSource=system-i18n
CMissingTranslationEvent=system-i18n
CNumberFormatter=system-i18n
CPhpMessageSource=system-i18n
CGettextFile=system-i18n-gettext
CGettextMoFile=system-i18n-gettext
CGettextPoFile=system-i18n-gettext
CDbLogRoute=system-logging
CEmailLogRoute=system-logging
CFileLogRoute=system-logging
CLogFilter=system-logging
CLogRoute=system-logging
CLogRouter=system-logging
CProfileLogRoute=system-logging
CWebLogRoute=system-logging
CDbFixtureManager=system-test
CDbTestCase=system-test
CTestCase=system-test
CWebTestCase=system-test
LookupTest=system-test
TagTest=system-test
UserTest=system-test
WebTestCase=system-test
CDateTimeParser=system-utils
CFileHelper=system-utils
CFormatter=system-utils
CMarkdownParser=system-utils
CPropertyValue=system-utils
CTimestamp=system-utils
CVarDumper=system-utils
CBooleanValidator=system-validators
CCaptchaValidator=system-validators
CCompareValidator=system-validators
CDateValidator=system-validators
CDefaultValueValidator=system-validators
CEmailValidator=system-validators
CExistValidator=system-validators
CFileValidator=system-validators
CFilterValidator=system-validators
CInlineValidator=system-validators
CRangeValidator=system-validators
CRegularExpressionValidator=system-validators
CSafeValidator=system-validators
CTypeValidator=system-validators
CUniqueValidator=system-validators
CUnsafeValidator=system-validators
CUrlValidator=system-validators
CActiveDataProvider=system-web
CArrayDataProvider=system-web
CAssetManager=system-web
CCacheHttpSession=system-web
CDataProvider=system-web
CDbHttpSession=system-web
CExtController=system-web
CFormModel=system-web
CHttpCookie=system-web
CHttpSessionIterator=system-web
ContactForm=system-web
COutputEvent=system-web
CPagination=system-web
CSort=system-web
CSqlDataProvider=system-web
CTheme=system-web
CThemeManager=system-web
CUploadedFile=system-web
CWebModule=system-web
LoginForm=system-web
CViewAction=system-web-actions
CAuthAssignment=system-web-auth
CAuthItem=system-web-auth
CAuthManager=system-web-auth
CBaseUserIdentity=system-web-auth
CDbAuthManager=system-web-auth
CPhpAuthManager=system-web-auth
CUserIdentity=system-web-auth
UserIdentity=system-web-auth
CForm=system-web-form
CFormButtonElement=system-web-form
CFormElement=system-web-form
CFormElementCollection=system-web-form
CFormInputElement=system-web-form
CFormStringElement=system-web-form
CGoogleApi=system-web-helpers
CJavaScript=system-web-helpers
CJSON=system-web-helpers
CPradoViewRenderer=system-web-renderers
CViewRenderer=system-web-renderers
CSoapObjectWrapper=system-web-services
CWebService=system-web-services
CWebServiceAction=system-web-services
CWsdlGenerator=system-web-services
CActiveForm=system-web-widgets
CAutoComplete=system-web-widgets
CClipWidget=system-web-widgets
CContentDecorator=system-web-widgets
CFilterWidget=system-web-widgets
CFlexWidget=system-web-widgets
CHtmlPurifier=system-web-widgets
CInputWidget=system-web-widgets
CMarkdown=system-web-widgets
CMaskedTextField=system-web-widgets
CMultiFileUpload=system-web-widgets
COutputCache=system-web-widgets
COutputProcessor=system-web-widgets
CStarRating=system-web-widgets
CTabView=system-web-widgets
CTextHighlighter=system-web-widgets
CTreeView=system-web-widgets
CCaptcha=system-web-widgets-captcha
CCaptchaAction=system-web-widgets-captcha
CBasePager=system-web-widgets-pagers
CLinkPager=system-web-widgets-pagers
CListPager=system-web-widgets-pagers
Text_Diff=Text_Diff
Text_Diff3=Text_Diff
Text_Diff3_BlockBuilder=Text_Diff
Text_Diff3_Op=Text_Diff
Text_Diff3_Op_copy=Text_Diff
Text_Diff_Engine_native=Text_Diff
Text_Diff_Engine_shell=Text_Diff
Text_Diff_Engine_string=Text_Diff
Text_Diff_Engine_xdiff=Text_Diff
Text_Diff_Mapped=Text_Diff
Text_Diff_Op=Text_Diff
Text_Diff_Op_add=Text_Diff
Text_Diff_Op_change=Text_Diff
Text_Diff_Op_copy=Text_Diff
Text_Diff_Op_delete=Text_Diff
Text_Diff_Renderer=Text_Diff
Text_Diff_Renderer_context=Text_Diff
Text_Diff_Renderer_inline=Text_Diff
Text_Diff_Renderer_unified=Text_Diff
Text_Diff_ThreeWay=Text_Diff
Text_Diff_ThreeWay_BlockBuilder=Text_Diff
Text_Diff_ThreeWay_Op=Text_Diff
Text_Diff_ThreeWay_Op_copy=Text_Diff
Text_MappedDiff=Text_Diff
Text_Highlighter=Text_Highlighter
Text_Highlighter_ABAP=Text_Highlighter
Text_Highlighter_CPP=Text_Highlighter
Text_Highlighter_CSS=Text_Highlighter
Text_Highlighter_DIFF=Text_Highlighter
Text_Highlighter_DTD=Text_Highlighter
Text_Highlighter_Generator=Text_Highlighter
Text_Highlighter_HTML=Text_Highlighter
Text_Highlighter_JAVA=Text_Highlighter
Text_Highlighter_JAVASCRIPT=Text_Highlighter
Text_Highlighter_MYSQL=Text_Highlighter
Text_Highlighter_PERL=Text_Highlighter
Text_Highlighter_PHP=Text_Highlighter
Text_Highlighter_PYTHON=Text_Highlighter
Text_Highlighter_Renderer=Text_Highlighter
Text_Highlighter_Renderer_Array=Text_Highlighter
Text_Highlighter_Renderer_BB=Text_Highlighter
Text_Highlighter_Renderer_Console=Text_Highlighter
Text_Highlighter_Renderer_Html=Text_Highlighter
Text_Highlighter_Renderer_HtmlTags=Text_Highlighter
Text_Highlighter_Renderer_JSON=Text_Highlighter
Text_Highlighter_Renderer_XML=Text_Highlighter
Text_Highlighter_RUBY=Text_Highlighter
Text_Highlighter_SH=Text_Highlighter
Text_Highlighter_SQL=Text_Highlighter
Text_Highlighter_VBSCRIPT=Text_Highlighter
Text_Highlighter_XML=Text_Highlighter
CTimestampBehavior=zii-behaviors
CBaseListView=zii-widgets
CBreadcrumbs=zii-widgets
CDetailView=zii-widgets
CListView=zii-widgets
CMenu=zii-widgets
CPortlet=zii-widgets
RecentComments=zii-widgets
TagCloud=zii-widgets
UserMenu=zii-widgets
CButtonColumn=zii-widgets-grid
CCheckBoxColumn=zii-widgets-grid
CDataColumn=zii-widgets-grid
CGridColumn=zii-widgets-grid
CGridView=zii-widgets-grid
CLinkColumn=zii-widgets-grid
CJuiAccordion=zii-widgets-jui
CJuiAutoComplete=zii-widgets-jui
CJuiButton=zii-widgets-jui
CJuiDatePicker=zii-widgets-jui
CJuiDialog=zii-widgets-jui
CJuiDraggable=zii-widgets-jui
CJuiDroppable=zii-widgets-jui
CJuiInputWidget=zii-widgets-jui
CJuiProgressBar=zii-widgets-jui
CJuiResizable=zii-widgets-jui
CJuiSelectable=zii-widgets-jui
CJuiSlider=zii-widgets-jui
CJuiSliderInput=zii-widgets-jui
CJuiSortable=zii-widgets-jui
CJuiTabs=zii-widgets-jui
CJuiWidget=zii-widgets-jui

[GameController]
actionGiveup=method
actionGuess=method
actionPlay=method
generateWord=method
getGuessWord=method
getLevel=method
getMisses=method
getWord=method
guess=method
isGuessed=method
setGuessWord=method
setLevel=method
setMisses=method
setWord=method

[%Functions]
checkGD=method
checkServerVar=method
getPreferredLanguage=method
getServerInfo=method
getYiiVersion=method
renderFile=method
t=method
add=method
addItemChild=method
afterWebMethod=method
assign=method
attach=method
authenticate=method
beforeWebMethod=method
checkAccess=method
clearAll=method
clearAuthAssignments=method
createAuthItem=method
createWidget=method
delete=method
detach=method
evaluateDependency=method
executeBizRule=method
filter=method
flush=method
get=method
getAuthAssignment=method
getAuthAssignments=method
getAuthItem=method
getAuthItems=method
getController=method
getData=method
getEnabled=method
getHasChanged=method
getId=method
getIsAuthenticated=method
getIsGuest=method
getIsInitialized=method
getItemChildren=method
getItemCount=method
getKeys=method
getName=method
getPagination=method
getPersistentStates=method
getSort=method
getTotalItemCount=method
hasItemChild=method
init=method
isAssigned=method
load=method
mget=method
removeAuthItem=method
removeItemChild=method
revoke=method
save=method
saveAuthAssignment=method
saveAuthItem=method
set=method
setEnabled=method

[YiiBase]
$classMap=variable
$enableIncludePath=variable
$_aliases=variable
$_app=variable
$_coreClasses=variable
$_imports=variable
$_includePaths=variable
$_logger=variable
app=method
autoload=method
beginProfile=method
createApplication=method
createComponent=method
createConsoleApplication=method
createWebApplication=method
endProfile=method
getFrameworkPath=method
getLogger=method
getPathOfAlias=method
getVersion=method
import=method
log=method
powered=method
registerAutoloader=method
setApplication=method
setLogger=method
setPathOfAlias=method
t=method
trace=method

[CApplication]
clearGlobalState=method
createAbsoluteUrl=method
createUrl=method
displayError=method
displayException=method
end=method
findLocalizedFile=method
getBasePath=method
getBaseUrl=method
getCache=method
getController=method
getCoreMessages=method
getDateFormatter=method
getDb=method
getErrorHandler=method
getExtensionPath=method
getGlobalState=method
getHomeUrl=method
getId=method
getLanguage=method
getLocale=method
getLocaleDataPath=method
getMessages=method
getNumberFormatter=method
getRequest=method
getRuntimePath=method
getSecurityManager=method
getStatePersister=method
getTimeZone=method
getUrlManager=method
handleError=method
handleException=method
initSystemHandlers=method
loadGlobalState=method
onBeginRequest=method
onEndRequest=method
onError=method
onException=method
processRequest=method
registerCoreComponents=method
run=method
saveGlobalState=method
setBasePath=method
setExtensionPath=method
setGlobalState=method
setHomeUrl=method
setId=method
setLanguage=method
setLocaleDataPath=method
setRuntimePath=method
setTimeZone=method

[CApplicationComponent]
getIsInitialized=method
init=method

[CBehavior]
attach=method
detach=method
events=method
getEnabled=method
getOwner=method
setEnabled=method

[CComponent]
asa=method
attachBehavior=method
attachBehaviors=method
attachEventHandler=method
canGetProperty=method
canSetProperty=method
detachBehavior=method
detachBehaviors=method
detachEventHandler=method
disableBehavior=method
disableBehaviors=method
enableBehavior=method
enableBehaviors=method
evaluateExpression=method
getEventHandlers=method
hasEvent=method
hasEventHandler=method
hasProperty=method
raiseEvent=method
__call=method
__get=method
__isset=method
__set=method
__unset=method

[CErrorHandler]
argumentsToString=method
getError=method
getExactTrace=method
getVersionInfo=method
getViewFile=method
getViewFileInternal=method
handle=method
handleError=method
handleException=method
isAjaxRequest=method
isCoreCode=method
render=method
renderSourceCode=method

[CModel]
addError=method
addErrors=method
afterConstruct=method
afterValidate=method
attributeLabels=method
attributeNames=method
beforeValidate=method
behaviors=method
clearErrors=method
createValidators=method
generateAttributeLabel=method
getAttributeLabel=method
getAttributes=method
getError=method
getErrors=method
getIterator=method
getSafeAttributeNames=method
getScenario=method
getValidatorList=method
getValidators=method
hasErrors=method
isAttributeRequired=method
isAttributeSafe=method
offsetExists=method
offsetGet=method
offsetSet=method
offsetUnset=method
onAfterConstruct=method
onAfterValidate=method
onBeforeValidate=method
onUnsafeAttribute=method
rules=method
setAttributes=method
setScenario=method
unsetAttributes=method
validate=method

[CModelBehavior]
afterConstruct=method
afterValidate=method
beforeValidate=method
events=method

[CModule]
configure=method
getBasePath=method
getComponent=method
getComponents=method
getId=method
getModule=method
getModulePath=method
getModules=method
getParams=method
getParentModule=method
hasComponent=method
hasModule=method
init=method
preinit=method
preloadComponents=method
setAliases=method
setBasePath=method
setComponent=method
setComponents=method
setId=method
setImport=method
setModulePath=method
setModules=method
setParams=method
__get=method
__isset=method

[CSecurityManager]
computeHMAC=method
decrypt=method
encrypt=method
generateRandomKey=method
getEncryptionKey=method
getValidation=method
getValidationKey=method
hashData=method
openCryptModule=method
setEncryptionKey=method
setValidation=method
setValidationKey=method
validateData=method

[CStatePersister]
init=method
load=method
save=method

[CApcCache]
addValue=method
deleteValue=method
flushValues=method
getValue=method
getValues=method
init=method
setValue=method

[CCache]
add=method
addValue=method
delete=method
deleteValue=method
flush=method
flushValues=method
generateUniqueKey=method
get=method
getValue=method
getValues=method
init=method
mget=method
offsetExists=method
offsetGet=method
offsetSet=method
offsetUnset=method
set=method
setValue=method

[CDbCache]
addValue=method
createCacheTable=method
deleteValue=method
flushValues=method
gc=method
getDbConnection=method
getGCProbability=method
getValue=method
getValues=method
init=method
setDbConnection=method
setGCProbability=method
setValue=method

[CDummyCache]
add=method
delete=method
flush=method
get=method
init=method
mget=method
offsetExists=method
offsetGet=method
offsetSet=method
offsetUnset=method
set=method

[CEAcceleratorCache]
addValue=method
deleteValue=method
flushValues=method
getValue=method
init=method
setValue=method

[CFileCache]
addValue=method
deleteValue=method
flushValues=method
gc=method
getCacheFile=method
getGCProbability=method
getValue=method
init=method
setGCProbability=method
setValue=method

[CMemCache]
addValue=method
deleteValue=method
flushValues=method
getMemCache=method
getServers=method
getValue=method
getValues=method
init=method
setServers=method
setValue=method

[CWinCache]
addValue=method
deleteValue=method
flushValues=method
getValue=method
getValues=method
init=method
setValue=method

[CXCache]
addValue=method
deleteValue=method
flushValues=method
getValue=method
init=method
setValue=method

[CZendDataCache]
addValue=method
deleteValue=method
flushValues=method
getValue=method
init=method
setValue=method

[CCacheDependency]
evaluateDependency=method
generateDependentData=method
getDependentData=method
getHasChanged=method

[CChainedCacheDependency]
evaluateDependency=method
getDependencies=method
getHasChanged=method
setDependencies=method

[CDbCacheDependency]
generateDependentData=method
getDbConnection=method
__sleep=method

[CDirectoryCacheDependency]
generateDependentData=method
generateTimestamps=method
validateDirectory=method
validateFile=method

[CExpressionDependency]
generateDependentData=method

[CFileCacheDependency]
generateDependentData=method

[CGlobalStateCacheDependency]
generateDependentData=method

[MessageCommand]
extractMessages=method
generateMessageFile=method
getHelp=method
run=method

[MigrateCommand]
actionCreate=method
actionDown=method
actionHistory=method
actionMark=method
actionNew=method
actionRedo=method
actionTo=method
actionUp=method
beforeAction=method
confirm=method
getDbConnection=method
getHelp=method
getMigrationHistory=method
getNewMigrations=method
getTemplate=method
instantiateMigration=method
migrateDown=method
migrateUp=method

[ShellCommand]
getHelp=method
readline=method
run=method
runShell=method

[WebAppCommand]
generateIndex=method
generateTestBoostrap=method
generateYiic=method
getHelp=method
getRelativePath=method
run=method

[ControllerCommand]
generateAction=method
generateController=method
getHelp=method
run=method

[CrudCommand]
class2id=method
class2name=method
generateActiveField=method
generateActiveLabel=method
generateController=method
generateInputField=method
generateInputLabel=method
generateTest=method
generateView=method
getHelp=method
guessNameColumn=method
run=method

[FormCommand]
class2id=method
generateForm=method
getHelp=method
run=method

[HelpCommand]
getHelp=method
run=method

[ModelCommand]
addPrefix=method
generateClassName=method
generateClassNames=method
generateFixture=method
generateModel=method
generateRelationName=method
generateRelations=method
generateTest=method
getClassName=method
getHelp=method
isRelationTable=method
removePrefix=method
run=method

[ModuleCommand]
generateModuleClass=method
getHelp=method
run=method

[CAttributeCollection]
add=method
canGetProperty=method
canSetProperty=method
contains=method
hasProperty=method
itemAt=method
remove=method
__get=method
__isset=method
__set=method
__unset=method

[CConfiguration]
createObject=method
applyTo=method
loadFromFile=method
saveAsString=method

[CList]
add=method
clear=method
contains=method
copyFrom=method
count=method
getCount=method
getIterator=method
getReadOnly=method
indexOf=method
insertAt=method
itemAt=method
mergeWith=method
offsetExists=method
offsetGet=method
offsetSet=method
offsetUnset=method
remove=method
removeAt=method
setReadOnly=method
toArray=method

[CListIterator]
current=method
key=method
next=method
rewind=method
valid=method

[CMap]
mergeArray=method
add=method
clear=method
contains=method
copyFrom=method
count=method
getCount=method
getIterator=method
getKeys=method
getReadOnly=method
itemAt=method
mergeWith=method
offsetExists=method
offsetGet=method
offsetSet=method
offsetUnset=method
remove=method
setReadOnly=method
toArray=method

[CMapIterator]
current=method
key=method
next=method
rewind=method
valid=method

[CQueue]
clear=method
contains=method
copyFrom=method
count=method
dequeue=method
enqueue=method
getCount=method
getIterator=method
peek=method
toArray=method

[CQueueIterator]
current=method
key=method
next=method
rewind=method
valid=method

[CStack]
clear=method
contains=method
copyFrom=method
count=method
getCount=method
getIterator=method
peek=method
pop=method
push=method
toArray=method

[CStackIterator]
current=method
key=method
next=method
rewind=method
valid=method

[CTypedList]
insertAt=method

[CTypedMap]
add=method

[CConsoleApplication]
createCommandRunner=method
displayError=method
displayException=method
getCommandPath=method
getCommandRunner=method
init=method
processRequest=method
setCommandPath=method

[CConsoleCommand]
afterAction=method
beforeAction=method
buildFileList=method
copyFiles=method
ensureDirectory=method
getCommandRunner=method
getHelp=method
getName=method
getOptionHelp=method
init=method
pluralize=method
renderFile=method
resolveRequest=method
run=method
usageError=method

[CConsoleCommandRunner]
addCommands=method
createCommand=method
findCommands=method
getScriptName=method
run=method

[CHelpCommand]
getHelp=method
run=method

[CDbCommand]
addColumn=method
addForeignKey=method
alterColumn=method
bindParam=method
bindValue=method
bindValues=method
buildQuery=method
cancel=method
createIndex=method
createTable=method
crossJoin=method
delete=method
dropColumn=method
dropForeignKey=method
dropIndex=method
dropTable=method
execute=method
from=method
getConnection=method
getDistinct=method
getFrom=method
getGroup=method
getHaving=method
getJoin=method
getLimit=method
getOffset=method
getOrder=method
getPdoStatement=method
getSelect=method
getText=method
getUnion=method
getWhere=method
group=method
having=method
insert=method
join=method
joinInternal=method
leftJoin=method
limit=method
naturalJoin=method
offset=method
order=method
prepare=method
processConditions=method
query=method
queryAll=method
queryColumn=method
queryInternal=method
queryRow=method
queryScalar=method
renameColumn=method
renameTable=method
reset=method
rightJoin=method
select=method
selectDistinct=method
setDistinct=method
setFetchMode=method
setFrom=method
setGroup=method
setHaving=method
setJoin=method
setLimit=method
setOffset=method
setOrder=method
setSelect=method
setText=method
setUnion=method
setWhere=method
truncateTable=method
union=method
update=method
where=method
__sleep=method

[CDbConnection]
getAvailableDrivers=method
beginTransaction=method
cache=method
close=method
createCommand=method
createPdoInstance=method
getActive=method
getAttribute=method
getAttributes=method
getAutoCommit=method
getClientVersion=method
getColumnCase=method
getCommandBuilder=method
getConnectionStatus=method
getCurrentTransaction=method
getDriverName=method
getLastInsertID=method
getNullConversion=method
getPdoInstance=method
getPdoType=method
getPersistent=method
getPrefetch=method
getSchema=method
getServerInfo=method
getServerVersion=method
getStats=method
getTimeout=method
init=method
initConnection=method
open=method
quoteColumnName=method
quoteTableName=method
quoteValue=method
setActive=method
setAttribute=method
setAttributes=method
setAutoCommit=method
setColumnCase=method
setNullConversion=method
setPersistent=method
__sleep=method

[CDbDataReader]
bindColumn=method
close=method
count=method
current=method
getColumnCount=method
getIsClosed=method
getRowCount=method
key=method
next=method
nextResult=method
read=method
readAll=method
readColumn=method
readObject=method
rewind=method
setFetchMode=method
valid=method

[CDbMigration]
addColumn=method
addForeignKey=method
alterColumn=method
createIndex=method
createTable=method
delete=method
down=method
dropColumn=method
dropForeignKey=method
dropIndex=method
dropTable=method
execute=method
getDbConnection=method
insert=method
renameColumn=method
renameTable=method
safeDown=method
safeUp=method
setDbConnection=method
truncateTable=method
up=method
update=method

[CDbTransaction]
commit=method
getActive=method
getConnection=method
rollback=method
setActive=method

[CActiveFinder]
buildJoinTree=method
count=method
destroyJoinTree=method
findAllBySql=method
findBySql=method
lazyFind=method
query=method

[CActiveRecord]
$db=variable
$_models=variable
model=method
addRelatedRecord=method
afterDelete=method
afterFind=method
afterFindInternal=method
afterSave=method
applyScopes=method
attributeNames=method
beforeDelete=method
beforeFind=method
beforeFindInternal=method
beforeSave=method
cache=method
count=method
countByAttributes=method
countBySql=method
defaultScope=method
delete=method
deleteAll=method
deleteAllByAttributes=method
deleteByPk=method
equals=method
exists=method
find=method
findAll=method
findAllByAttributes=method
findAllByPk=method
findAllBySql=method
findByAttributes=method
findByPk=method
findBySql=method
getActiveRelation=method
getAttribute=method
getAttributeLabel=method
getAttributes=method
getCommandBuilder=method
getDbConnection=method
getDbCriteria=method
getIsNewRecord=method
getMetaData=method
getOldPrimaryKey=method
getPrimaryKey=method
getRelated=method
getTableAlias=method
getTableSchema=method
hasAttribute=method
hasRelated=method
init=method
insert=method
instantiate=method
offsetExists=method
onAfterDelete=method
onAfterFind=method
onAfterSave=method
onBeforeDelete=method
onBeforeFind=method
onBeforeSave=method
populateRecord=method
populateRecords=method
primaryKey=method
query=method
refresh=method
refreshMetaData=method
relations=method
resetScope=method
save=method
saveAttributes=method
saveCounters=method
scopes=method
setAttribute=method
setDbCriteria=method
setIsNewRecord=method
setOldPrimaryKey=method
setPrimaryKey=method
setTableAlias=method
tableName=method
together=method
update=method
updateAll=method
updateByPk=method
updateCounters=method
with=method
__call=method
__get=method
__isset=method
__set=method
__sleep=method
__unset=method

[CActiveRecordBehavior]
afterDelete=method
afterFind=method
afterSave=method
beforeDelete=method
beforeFind=method
beforeSave=method
events=method

[CActiveRecordMetaData]
addRelation=method
hasRelation=method
removeRelation=method

[CActiveRelation]
mergeWith=method

[CBaseActiveRelation]
mergeWith=method

[CHasManyRelation]
mergeWith=method

[CJoinElement]
afterFind=method
applyLazyCondition=method
beforeFind=method
buildQuery=method
count=method
destroy=method
find=method
findWithBase=method
getColumnPrefix=method
getColumnSelect=method
getJoinCondition=method
getPrimaryKeyRange=method
getPrimaryKeySelect=method
getTableNameWithAlias=method
joinManyMany=method
joinOneMany=method
lazyFind=method
populateRecord=method
runQuery=method

[CJoinQuery]
createCommand=method
join=method

[CStatElement]
query=method
queryManyMany=method
queryOneMany=method

[CStatRelation]
mergeWith=method

[CDbColumnSchema]
extractDefault=method
extractLimit=method
extractType=method
init=method
typecast=method

[CDbCommandBuilder]
applyCondition=method
applyGroup=method
applyHaving=method
applyJoin=method
applyLimit=method
applyOrder=method
bindValues=method
createColumnCriteria=method
createCompositeInCondition=method
createCountCommand=method
createCriteria=method
createDeleteCommand=method
createFindCommand=method
createInCondition=method
createInsertCommand=method
createPkCondition=method
createPkCriteria=method
createSearchCondition=method
createSqlCommand=method
createUpdateCommand=method
createUpdateCounterCommand=method
ensureTable=method
getDbConnection=method
getLastInsertID=method
getSchema=method

[CDbCriteria]
$paramCount=variable
addBetweenCondition=method
addColumnCondition=method
addCondition=method
addInCondition=method
addNotInCondition=method
addSearchCondition=method
compare=method
mergeWith=method
toArray=method

[CDbExpression]
__toString=method

[CDbSchema]
addColumn=method
addForeignKey=method
alterColumn=method
checkIntegrity=method
compareTableNames=method
createCommandBuilder=method
createIndex=method
createTable=method
dropColumn=method
dropForeignKey=method
dropIndex=method
dropTable=method
findTableNames=method
getColumnType=method
getCommandBuilder=method
getDbConnection=method
getTable=method
getTableNames=method
getTables=method
loadTable=method
quoteColumnName=method
quoteSimpleColumnName=method
quoteSimpleTableName=method
quoteTableName=method
refresh=method
renameColumn=method
renameTable=method
resetSequence=method
truncateTable=method

[CDbTableSchema]
getColumn=method
getColumnNames=method

[CMssqlColumnSchema]
extractDefault=method
extractLimit=method
extractType=method
typecast=method

[CMssqlCommandBuilder]
applyLimit=method
checkCriteria=method
createCompositeInCondition=method
createCountCommand=method
createDeleteCommand=method
createFindCommand=method
createUpdateCommand=method
createUpdateCounterCommand=method
findOrdering=method
joinOrdering=method
reverseDirection=method
rewriteLimitOffsetSql=method

[CMssqlPdoAdapter]
beginTransaction=method
commit=method
lastInsertId=method
rollBack=method

[CMssqlSchema]
alterColumn=method
checkIntegrity=method
compareTableNames=method
createColumn=method
createCommandBuilder=method
findColumns=method
findForeignKeys=method
findPrimaryKey=method
findTableNames=method
loadTable=method
quoteSimpleColumnName=method
quoteSimpleTableName=method
renameColumn=method
renameTable=method
resetSequence=method
resolveTableNames=method

[CMysqlColumnSchema]
extractDefault=method
extractLimit=method
extractType=method

[CMysqlSchema]
checkIntegrity=method
compareTableNames=method
createColumn=method
dropForeignKey=method
findColumns=method
findConstraints=method
findTableNames=method
getServerVersion=method
loadTable=method
quoteSimpleColumnName=method
quoteSimpleTableName=method
renameColumn=method
resetSequence=method
resolveTableNames=method

[COciColumnSchema]
extractDefault=method
extractOraType=method
extractType=method

[COciCommandBuilder]
applyLimit=method
createInsertCommand=method
getLastInsertID=method

[COciSchema]
alterColumn=method
createColumn=method
createCommandBuilder=method
dropIndex=method
findColumns=method
findConstraints=method
findTableNames=method
getDefaultSchema=method
getSchemaTableName=method
loadTable=method
quoteSimpleColumnName=method
quoteSimpleTableName=method
renameTable=method
resolveTableNames=method
setDefaultSchema=method

[CPgsqlColumnSchema]
extractDefault=method
extractType=method

[CPgsqlSchema]
addColumn=method
alterColumn=method
checkIntegrity=method
createColumn=method
dropIndex=method
findColumns=method
findConstraints=method
findForeignKey=method
findPrimaryKey=method
findTableNames=method
loadTable=method
quoteSimpleTableName=method
renameTable=method
resetSequence=method
resolveTableNames=method

[CSqliteColumnSchema]
extractDefault=method

[CSqliteCommandBuilder]
createCompositeInCondition=method

[CSqliteSchema]
addForeignKey=method
alterColumn=method
checkIntegrity=method
createColumn=method
createCommandBuilder=method
dropColumn=method
dropForeignKey=method
dropIndex=method
findColumns=method
findConstraints=method
findTableNames=method
loadTable=method
renameColumn=method
resetSequence=method
truncateTable=method

[CCodeFile]
getRelativePath=method
getType=method
save=method

[CCodeForm]
init=method
run=method

[CCodeGenerator]
actionCode=method
actionDiff=method
actionIndex=method
getPageTitle=method
getViewPath=method
prepare=method
setViewPath=method

[CCodeModel]
attributeLabels=method
class2id=method
class2name=method
class2var=method
classExists=method
confirmed=method
errorMessage=method
getStickyFile=method
getTemplatePath=method
getTemplates=method
loadStickyAttributes=method
pluralize=method
prepare=method
render=method
renderResults=method
requiredTemplates=method
rules=method
save=method
saveStickyAttributes=method
sticky=method
successMessage=method
validateReservedWord=method
validateTemplate=method

[ControllerCode]
attributeLabels=method
getActionIDs=method
getControllerClass=method
getControllerFile=method
getControllerID=method
getModule=method
getUniqueControllerID=method
getViewFile=method
prepare=method
requiredTemplates=method
rules=method
successMessage=method

[CrudCode]
attributeLabels=method
generateActiveField=method
generateActiveLabel=method
generateInputField=method
generateInputLabel=method
getControllerClass=method
getControllerFile=method
getControllerID=method
getModelClass=method
getModule=method
getTableSchema=method
getUniqueControllerID=method
getViewPath=method
guessNameColumn=method
init=method
prepare=method
requiredTemplates=method
rules=method
successMessage=method
validateModel=method

[FormCode]
attributeLabels=method
getModelAttributes=method
getModelClass=method
prepare=method
requiredTemplates=method
rules=method
successMessage=method
validateModel=method
validateViewPath=method

[GiiModule]
allowIp=method
beforeControllerAction=method
findGenerators=method
getAssetsUrl=method
init=method
setAssetsUrl=method

[ModelCode]
attributeLabels=method
checkColumns=method
generateClassName=method
generateLabels=method
generateRelationName=method
generateRelations=method
generateRules=method
getRelations=method
getTableSchema=method
init=method
isRelationTable=method
prepare=method
removePrefix=method
requiredTemplates=method
rules=method
validateBaseClass=method
validateModelPath=method
validateTableName=method

[ModuleCode]
attributeLabels=method
getModuleClass=method
getModulePath=method
prepare=method
rules=method
successMessage=method

[CChoiceFormat]
evaluate=method
format=method

[CDateFormatter]
$_formatters=variable
format=method
formatDateTime=method
formatDay=method
formatDayInMonth=method
formatDayInWeek=method
formatDayInYear=method
formatEra=method
formatHour12=method
formatHour24=method
formatHourInDay=method
formatHourInPeriod=method
formatMinutes=method
formatMonth=method
formatPeriod=method
formatSeconds=method
formatTimeZone=method
formatWeekInMonth=method
formatWeekInYear=method
formatYear=method
parseFormat=method

[CDbMessageSource]
getDbConnection=method
loadMessages=method
loadMessagesFromDb=method

[CGettextMessageSource]
init=method
loadMessages=method

[CLocale]
$dataPath=variable
getCanonicalID=method
getInstance=method
getLocaleIDs=method
getAMName=method
getCurrencyFormat=method
getCurrencySymbol=method
getDateFormat=method
getDateFormatter=method
getDateTimeFormat=method
getDecimalFormat=method
getEraName=method
getId=method
getMonthName=method
getMonthNames=method
getNumberFormatter=method
getNumberSymbol=method
getOrientation=method
getPercentFormat=method
getPluralRules=method
getPMName=method
getScientificFormat=method
getTimeFormat=method
getWeekDayName=method
getWeekDayNames=method

[CMessageSource]
getLanguage=method
loadMessages=method
onMissingTranslation=method
setLanguage=method
translate=method
translateMessage=method

[CNumberFormatter]
format=method
formatCurrency=method
formatDecimal=method
formatNumber=method
formatPercentage=method
parseFormat=method

[CPhpMessageSource]
getMessageFile=method
init=method
loadMessages=method

[CGettextFile]
load=method
save=method

[CGettextMoFile]
load=method
readByte=method
readInteger=method
readString=method
save=method
writeByte=method
writeInteger=method
writeString=method

[CGettextPoFile]
decode=method
encode=method
load=method
save=method

[CDbLogRoute]
createLogTable=method
getDbConnection=method
init=method
processLogs=method

[CEmailLogRoute]
getEmails=method
getHeaders=method
getSentFrom=method
getSubject=method
processLogs=method
sendEmail=method
setEmails=method
setHeaders=method
setSentFrom=method
setSubject=method

[CFileLogRoute]
getLogFile=method
getLogPath=method
getMaxFileSize=method
getMaxLogFiles=method
init=method
processLogs=method
rotateFiles=method
setLogFile=method
setLogPath=method
setMaxFileSize=method
setMaxLogFiles=method

[CLogFilter]
filter=method
format=method
getContext=method

[CLogger]
calculateTimings=method
filterByCategory=method
filterByLevel=method
flush=method
getExecutionTime=method
getLogs=method
getMemoryUsage=method
getProfilingResults=method
log=method
onFlush=method

[CLogRoute]
collectLogs=method
formatLogMessage=method
init=method
processLogs=method

[CLogRouter]
collectLogs=method
getRoutes=method
init=method
processLogs=method
setRoutes=method

[CProfileLogRoute]
aggregateResult=method
displayCallstack=method
displaySummary=method
getReport=method
init=method
processLogs=method
setReport=method

[CWebLogRoute]
processLogs=method
render=method

[CDbFixtureManager]
checkIntegrity=method
getDbConnection=method
getFixtures=method
getRecord=method
getRows=method
init=method
load=method
loadFixture=method
prepare=method
resetTable=method
truncateTable=method
truncateTables=method

[CDbTestCase]
getFixtureData=method
getFixtureManager=method
getFixtureRecord=method
setUp=method
__call=method
__get=method

[CommentTest]
testApprove=method
testFindRecentComments=method

[CWebTestCase]
getFixtureData=method
getFixtureManager=method
getFixtureRecord=method
setUp=method
__call=method
__get=method

[LookupTest]
testCreate=method

[PostTest]
testSave=method

[TagTest]
testCreate=method

[UserTest]
testCreate=method

[WebTestCase]
setUp=method

[CDateTimeParser]
parse=method
parseAmPm=method
parseInteger=method
tokenize=method

[CFileHelper]
copyDirectory=method
copyDirectoryRecursive=method
findFiles=method
findFilesRecursive=method
getExtension=method
getMimeType=method
getMimeTypeByExtension=method
validatePath=method

[CFormatter]
format=method
formatBoolean=method
formatDate=method
formatDatetime=method
formatEmail=method
formatHtml=method
formatImage=method
formatNtext=method
formatNumber=method
formatRaw=method
formatText=method
formatTime=method
formatUrl=method
getHtmlPurifier=method
__call=method

[CMarkdownParser]
createHighLighter=method
getDefaultCssFile=method
getHighlightTag=method
getHiglightConfig=method
getInlineOption=method
highlightCodeBlock=method
safeTransform=method
_doCodeBlocks_callback=method
_doFencedCodeBlocks_callback=method

[CPropertyValue]
ensureArray=method
ensureBoolean=method
ensureEnum=method
ensureFloat=method
ensureInteger=method
ensureObject=method
ensureString=method

[CTimestamp]
digitCheck=method
formatDate=method
get4DigitYear=method
getDate=method
getDayofWeek=method
getGMTDiff=method
getTimestamp=method
isLeapYear=method
isValidDate=method
isValidTime=method

[CVarDumper]
$_depth=variable
$_objects=variable
$_output=variable
dump=method
dumpAsString=method
dumpInternal=method

[CBooleanValidator]
clientValidateAttribute=method
validateAttribute=method

[CCaptchaValidator]
clientValidateAttribute=method
getCaptchaAction=method
validateAttribute=method

[CCompareValidator]
clientValidateAttribute=method
validateAttribute=method

[CDateValidator]
validateAttribute=method

[CDefaultValueValidator]
validateAttribute=method

[CEmailValidator]
clientValidateAttribute=method
validateAttribute=method
validateValue=method

[CExistValidator]
validateAttribute=method

[CFileValidator]
emptyAttribute=method
getSizeLimit=method
sizeToBytes=method
validateAttribute=method
validateFile=method

[CFilterValidator]
validateAttribute=method

[CInlineValidator]
validateAttribute=method

[CNumberValidator]
clientValidateAttribute=method
validateAttribute=method

[CRangeValidator]
clientValidateAttribute=method
validateAttribute=method

[CRegularExpressionValidator]
clientValidateAttribute=method
validateAttribute=method

[CRequiredValidator]
clientValidateAttribute=method
validateAttribute=method

[CSafeValidator]
validateAttribute=method

[CStringValidator]
clientValidateAttribute=method
validateAttribute=method

[CTypeValidator]
validateAttribute=method

[CUniqueValidator]
validateAttribute=method

[CUnsafeValidator]
validateAttribute=method

[CUrlValidator]
clientValidateAttribute=method
validateAttribute=method
validateValue=method

[CValidator]
$builtInValidators=variable
createValidator=method
addError=method
applyTo=method
clientValidateAttribute=method
isEmpty=method
validate=method
validateAttribute=method

[CActiveDataProvider]
calculateTotalItemCount=method
fetchData=method
fetchKeys=method
getCriteria=method
getSort=method
setCriteria=method

[CArrayDataProvider]
calculateTotalItemCount=method
fetchData=method
fetchKeys=method
getSortDirections=method
sortData=method

[CAssetManager]
getBasePath=method
getBaseUrl=method
getPublishedPath=method
getPublishedUrl=method
hash=method
publish=method
setBasePath=method
setBaseUrl=method

[CBaseController]
beginCache=method
beginClip=method
beginContent=method
beginWidget=method
createWidget=method
endCache=method
endClip=method
endContent=method
endWidget=method
getViewFile=method
renderFile=method
renderInternal=method
widget=method

[CBaseUrlRule]
createUrl=method
parseUrl=method

[CCacheHttpSession]
calculateKey=method
destroySession=method
getUseCustomStorage=method
init=method
readSession=method
writeSession=method

[CClientScript]
getCoreScriptUrl=method
getPackageBaseUrl=method
isCssFileRegistered=method
isCssRegistered=method
isScriptFileRegistered=method
isScriptRegistered=method
recordCachingAction=method
registerCoreScript=method
registerCss=method
registerCssFile=method
registerLinkTag=method
registerMetaTag=method
registerPackage=method
registerScript=method
registerScriptFile=method
remapScripts=method
render=method
renderBodyBegin=method
renderBodyEnd=method
renderCoreScripts=method
renderHead=method
reset=method
setCoreScriptUrl=method
unifyScripts=method

[CController]
accessRules=method
actions=method
afterAction=method
afterRender=method
beforeAction=method
beforeRender=method
behaviors=method
clearPageStates=method
createAbsoluteUrl=method
createAction=method
createActionFromMap=method
createUrl=method
filterAccessControl=method
filterAjaxOnly=method
filterPostOnly=method
filters=method
forward=method
getAction=method
getActionParams=method
getCachingStack=method
getClips=method
getId=method
getLayoutFile=method
getModule=method
getPageState=method
getPageTitle=method
getRoute=method
getUniqueId=method
getViewFile=method
getViewPath=method
init=method
invalidActionParams=method
isCachingStackEmpty=method
loadPageStates=method
missingAction=method
paginate=method
processDynamicOutput=method
processOutput=method
recordCachingAction=method
redirect=method
refresh=method
render=method
renderClip=method
renderDynamic=method
renderDynamicInternal=method
renderPartial=method
renderText=method
replaceDynamicOutput=method
resolveViewFile=method
run=method
runAction=method
runActionWithFilters=method
savePageStates=method
setAction=method
setPageState=method
setPageTitle=method

[CCookieCollection]
add=method
addCookie=method
getCookies=method
getRequest=method
remove=method
removeCookie=method

[CDataProvider]
calculateTotalItemCount=method
fetchData=method
fetchKeys=method
getData=method
getId=method
getItemCount=method
getKeys=method
getPagination=method
getSort=method
getTotalItemCount=method
setData=method
setId=method
setKeys=method
setPagination=method
setSort=method
setTotalItemCount=method

[CDbHttpSession]
createSessionTable=method
destroySession=method
gcSession=method
getDbConnection=method
getUseCustomStorage=method
openSession=method
readSession=method
regenerateID=method
writeSession=method

[CExtController]
getViewPath=method
setViewPath=method

[CFormModel]
$_names=variable
attributeNames=method
init=method

[CHttpRequest]
createCsrfCookie=method
getAcceptTypes=method
getBaseUrl=method
getBrowser=method
getCookies=method
getCsrfToken=method
getDelete=method
getHostInfo=method
getIsAjaxRequest=method
getIsDeleteRequest=method
getIsPostRequest=method
getIsPutRequest=method
getIsSecureConnection=method
getParam=method
getPathInfo=method
getPort=method
getPost=method
getPreferredLanguage=method
getPut=method
getQuery=method
getQueryString=method
getRequestType=method
getRequestUri=method
getRestParams=method
getScriptFile=method
getScriptUrl=method
getSecurePort=method
getServerName=method
getServerPort=method
getUrl=method
getUrlReferrer=method
getUserAgent=method
getUserHost=method
getUserHostAddress=method
init=method
normalizeRequest=method
redirect=method
sendFile=method
setBaseUrl=method
setHostInfo=method
setPort=method
setScriptUrl=method
setSecurePort=method
stripSlashes=method
validateCsrfToken=method
xSendFile=method

[CHttpSession]
add=method
clear=method
close=method
closeSession=method
contains=method
count=method
destroy=method
destroySession=method
gcSession=method
get=method
getCookieMode=method
getCookieParams=method
getCount=method
getGCProbability=method
getIsStarted=method
getIterator=method
getKeys=method
getSavePath=method
getSessionID=method
getSessionName=method
getTimeout=method
getUseCustomStorage=method
getUseTransparentSessionID=method
init=method
itemAt=method
offsetExists=method
offsetGet=method
offsetSet=method
offsetUnset=method
open=method
openSession=method
readSession=method
regenerateID=method
remove=method
setCookieMode=method
setCookieParams=method
setGCProbability=method
setSavePath=method
setSessionID=method
setSessionName=method
setTimeout=method
setUseTransparentSessionID=method
toArray=method
writeSession=method

[CHttpSessionIterator]
current=method
key=method
next=method
rewind=method
valid=method

[ContactForm]
attributeLabels=method
rules=method

[CPagination]
applyLimit=method
createPageUrl=method
getCurrentPage=method
getItemCount=method
getLimit=method
getOffset=method
getPageCount=method
getPageSize=method
setCurrentPage=method
setItemCount=method
setPageSize=method

[CSort]
applyOrder=method
createLink=method
createUrl=method
getDirection=method
getDirections=method
getOrderBy=method
link=method
resolveAttribute=method
resolveLabel=method

[CSqlDataProvider]
calculateTotalItemCount=method
fetchData=method
fetchKeys=method

[CTheme]
getBasePath=method
getBaseUrl=method
getLayoutFile=method
getName=method
getSkinPath=method
getSystemViewPath=method
getViewFile=method
getViewPath=method

[CThemeManager]
getBasePath=method
getBaseUrl=method
getTheme=method
getThemeNames=method
setBasePath=method
setBaseUrl=method

[CUploadedFile]
collectFilesRecursive=method
getInstance=method
getInstanceByName=method
getInstances=method
getInstancesByName=method
prefetchFiles=method
reset=method
getError=method
getExtensionName=method
getHasError=method
getName=method
getSize=method
getTempName=method
getType=method
saveAs=method
__toString=method

[CUrlManager]
addRules=method
createPathInfo=method
createUrl=method
createUrlDefault=method
createUrlRule=method
getBaseUrl=method
getUrlFormat=method
init=method
parsePathInfo=method
parseUrl=method
processRules=method
removeUrlSuffix=method
setBaseUrl=method
setUrlFormat=method

[CUrlRule]
createUrl=method
parseUrl=method

[CWebApplication]
afterControllerAction=method
beforeControllerAction=method
createController=method
findModule=method
getAssetManager=method
getAuthManager=method
getClientScript=method
getController=method
getControllerPath=method
getLayoutPath=method
getSession=method
getSystemViewPath=method
getTheme=method
getThemeManager=method
getUser=method
getViewPath=method
getViewRenderer=method
getWidgetFactory=method
init=method
parseActionParams=method
processRequest=method
registerCoreComponents=method
runController=method
setController=method
setControllerPath=method
setLayoutPath=method
setSystemViewPath=method
setTheme=method
setViewPath=method

[CWebModule]
afterControllerAction=method
beforeControllerAction=method
getControllerPath=method
getDescription=method
getLayoutPath=method
getName=method
getVersion=method
getViewPath=method
setControllerPath=method
setLayoutPath=method
setViewPath=method

[CWidgetFactory]
createWidget=method
getSkin=method
init=method

[LoginForm]
attributeLabels=method
authenticate=method
login=method
rules=method

[CAction]
getController=method
getId=method
runWithParams=method
runWithParamsInternal=method

[CInlineAction]
run=method
runWithParams=method

[CViewAction]
getRequestedView=method
onAfterRender=method
onBeforeRender=method
resolveView=method
run=method

[CAccessControlFilter]
accessDenied=method
getRules=method
preFilter=method
resolveErrorMessage=method
setRules=method

[CAccessRule]
isActionMatched=method
isControllerMatched=method
isExpressionMatched=method
isIpMatched=method
isRoleMatched=method
isUserAllowed=method
isUserMatched=method
isVerbMatched=method

[CAuthAssignment]
getBizRule=method
getData=method
getItemName=method
getUserId=method
setBizRule=method
setData=method

[CAuthItem]
addChild=method
assign=method
checkAccess=method
getAssignment=method
getAuthManager=method
getBizRule=method
getChildren=method
getData=method
getDescription=method
getName=method
getType=method
hasChild=method
isAssigned=method
removeChild=method
revoke=method
setBizRule=method
setData=method
setDescription=method
setName=method

[CAuthManager]
checkItemChildType=method
createOperation=method
createRole=method
createTask=method
executeBizRule=method
getOperations=method
getRoles=method
getTasks=method

[CBaseUserIdentity]
clearState=method
getId=method
getIsAuthenticated=method
getName=method
getPersistentStates=method
getState=method
setPersistentStates=method
setState=method

[CDbAuthManager]
addItemChild=method
assign=method
checkAccess=method
checkAccessRecursive=method
clearAll=method
clearAuthAssignments=method
createAuthItem=method
detectLoop=method
getAuthAssignment=method
getAuthAssignments=method
getAuthItem=method
getAuthItems=method
getDbConnection=method
getItemChildren=method
hasItemChild=method
init=method
isAssigned=method
removeAuthItem=method
removeItemChild=method
revoke=method
save=method
saveAuthAssignment=method
saveAuthItem=method
usingSqlite=method

[CPhpAuthManager]
addItemChild=method
assign=method
checkAccess=method
clearAll=method
clearAuthAssignments=method
createAuthItem=method
detectLoop=method
getAuthAssignment=method
getAuthAssignments=method
getAuthItem=method
getAuthItems=method
getItemChildren=method
hasItemChild=method
init=method
isAssigned=method
load=method
loadFromFile=method
removeAuthItem=method
removeItemChild=method
revoke=method
save=method
saveAuthAssignment=method
saveAuthItem=method
saveToFile=method

[CUserIdentity]
authenticate=method
getId=method
getName=method

[CWebUser]
afterLogin=method
afterLogout=method
beforeLogin=method
beforeLogout=method
changeIdentity=method
checkAccess=method
clearStates=method
createIdentityCookie=method
getFlash=method
getFlashes=method
getId=method
getIsGuest=method
getName=method
getReturnUrl=method
getState=method
getStateKeyPrefix=method
hasFlash=method
hasState=method
init=method
loadIdentityStates=method
login=method
loginRequired=method
logout=method
renewCookie=method
restoreFromCookie=method
saveIdentityStates=method
saveToCookie=method
setFlash=method
setId=method
setName=method
setReturnUrl=method
setState=method
setStateKeyPrefix=method
updateAuthStatus=method
updateFlash=method
__get=method
__isset=method
__set=method
__unset=method

[UserIdentity]
authenticate=method
getId=method

[CFilter]
filter=method
init=method
postFilter=method
preFilter=method

[CFilterChain]
create=method
insertAt=method
run=method

[CInlineFilter]
create=method
filter=method

[CForm]
addedElement=method
clicked=method
evaluateVisible=method
getActiveFormWidget=method
getButtons=method
getElements=method
getModel=method
getModels=method
getOwner=method
getRoot=method
getUniqueId=method
init=method
loadData=method
offsetExists=method
offsetGet=method
offsetSet=method
offsetUnset=method
removedElement=method
render=method
renderBegin=method
renderBody=method
renderButtons=method
renderElement=method
renderElements=method
renderEnd=method
setButtons=method
setElements=method
setModel=method
submitted=method
validate=method

[CFormButtonElement]
$coreTypes=variable
evaluateVisible=method
getOn=method
render=method
setOn=method

[CFormElement]
configure=method
evaluateVisible=method
getParent=method
getVisible=method
render=method
setVisible=method
__get=method
__set=method
__toString=method

[CFormElementCollection]
add=method
remove=method

[CFormInputElement]
$coreTypes=variable
evaluateVisible=method
getLabel=method
getRequired=method
render=method
renderError=method
renderHint=method
renderInput=method
renderLabel=method
setLabel=method
setRequired=method

[CFormStringElement]
evaluateVisible=method
getOn=method
render=method
setOn=method

[CGoogleApi]
$bootstrapUrl=variable
init=method
load=method
register=method

[CHtml]
$afterRequiredLabel=variable
$beforeRequiredLabel=variable
$count=variable
$errorCss=variable
$errorMessageCss=variable
$errorSummaryCss=variable
$requiredCss=variable
activeCheckBox=method
activeCheckBoxList=method
activeDropDownList=method
activeFileField=method
activeHiddenField=method
activeId=method
activeInputField=method
activeLabel=method
activeLabelEx=method
activeListBox=method
activeName=method
activePasswordField=method
activeRadioButton=method
activeRadioButtonList=method
activeTextArea=method
activeTextField=method
addErrorCss=method
ajax=method
ajaxButton=method
ajaxLink=method
ajaxSubmitButton=method
asset=method
beginForm=method
button=method
cdata=method
checkBox=method
checkBoxList=method
clientChange=method
closeTag=method
css=method
cssFile=method
decode=method
dropDownList=method
encode=method
encodeArray=method
endForm=method
error=method
errorSummary=method
fileField=method
form=method
getActiveId=method
getIdByName=method
hiddenField=method
htmlButton=method
image=method
imageButton=method
inputField=method
label=method
link=method
linkButton=method
linkTag=method
listBox=method
listData=method
listOptions=method
mailto=method
metaTag=method
normalizeUrl=method
openTag=method
pageStateField=method
passwordField=method
radioButton=method
radioButtonList=method
refresh=method
renderAttributes=method
resetButton=method
resolveName=method
resolveNameID=method
resolveValue=method
script=method
scriptFile=method
statefulForm=method
submitButton=method
tag=method
textArea=method
textField=method
value=method

[CJavaScript]
encode=method
jsonDecode=method
jsonEncode=method
quote=method

[CJSON]
decode=method
encode=method
nameValue=method
reduceString=method
unicodeToUTF8=method
utf8ToUnicode=method
utf8ToUTF16BE=method
utf16beToUTF8=method

[CPradoViewRenderer]
generatePhpCode=method
generateViewFile=method
getLineNumber=method
processAttributes=method
processBeginCache=method
processBeginClip=method
processBeginWidget=method
processCache=method
processClip=method
processEndCache=method
processEndClip=method
processEndWidget=method
processExpression=method
processStatement=method
processWidget=method

[CViewRenderer]
generateViewFile=method
getViewFile=method
renderFile=method

[CSoapObjectWrapper]
__call=method

[CWebService]
generateWsdl=method
getMethodName=method
getOptions=method
handleError=method
renderWsdl=method
run=method

[CWebServiceAction]
createWebService=method
getService=method
run=method

[CWsdlGenerator]
addBindings=method
addMessages=method
addPortTypes=method
addService=method
addTypes=method
buildDOM=method
createOperationElement=method
createPortElement=method
generateWsdl=method
processMethod=method
processType=method

[CActiveForm]
validate=method
checkBox=method
checkBoxList=method
dropDownList=method
error=method
errorSummary=method
fileField=method
hiddenField=method
init=method
label=method
labelEx=method
listBox=method
passwordField=method
radioButton=method
radioButtonList=method
run=method
textArea=method
textField=method

[CAutoComplete]
registerCssFile=method
getClientOptions=method
init=method
registerClientScript=method

[CClipWidget]
init=method
run=method

[CContentDecorator]
decorate=method
processOutput=method

[CFilterWidget]
filter=method
getIsFilter=method

[CFlexWidget]
getFlashVarsAsString=method
registerClientScript=method
run=method

[CHtmlPurifier]
processOutput=method
purify=method

[CInputWidget]
hasModel=method
resolveNameID=method

[CMarkdown]
registerCssFile=method
createMarkdownParser=method
getMarkdownParser=method
processOutput=method
registerClientScript=method
transform=method

[CMaskedTextField]
getClientOptions=method
registerClientScript=method
run=method

[CMultiFileUpload]
getClientOptions=method
registerClientScript=method
run=method

[COutputCache]
checkContentCache=method
filter=method
getBaseCacheKey=method
getCache=method
getCacheKey=method
getIsContentCached=method
init=method
recordAction=method
replayActions=method
run=method

[COutputProcessor]
init=method
onProcessOutput=method
processOutput=method
run=method

[CStarRating]
registerCssFile=method
getClientOptions=method
registerClientScript=method
renderStars=method
run=method

[CTabView]
registerCssFile=method
registerClientScript=method
renderBody=method
renderHeader=method
run=method

[CTextHighlighter]
registerCssFile=method
highlight=method
processOutput=method
registerClientScript=method

[CTreeView]
saveDataAsHtml=method
saveDataAsJson=method
getClientOptions=method
init=method
run=method

[CWidget]
$_counter=variable
$_viewPaths=variable
actions=method
getController=method
getId=method
getOwner=method
getViewFile=method
getViewPath=method
init=method
render=method
run=method
setId=method

[CCaptcha]
checkRequirements=method
registerClientScript=method
renderImage=method
run=method

[CCaptchaAction]
generateValidationHash=method
generateVerifyCode=method
getSessionKey=method
getVerifyCode=method
renderImage=method
run=method
validate=method

[CBasePager]
createPages=method
createPageUrl=method
getCurrentPage=method
getItemCount=method
getPageCount=method
getPages=method
getPageSize=method
setCurrentPage=method
setItemCount=method
setPages=method
setPageSize=method

[CLinkPager]
registerCssFile=method
createPageButton=method
createPageButtons=method
getPageRange=method
init=method
registerClientScript=method
run=method

[CListPager]
generatePageText=method
init=method
run=method

[Text_Diff]
$_edits=variable
trimNewlines=method
_getTempDir=method
countAddedLines=method
countDeletedLines=method
getDiff=method
getFinal=method
getOriginal=method
isEmpty=method
lcs=method
reverse=method
_check=method

[Text_Diff_Engine_native]
diff=method
_compareseq=method
_diag=method
_lcsPos=method
_shiftBoundaries=method

[Text_Diff_Engine_shell]
$_diffCommand=variable
diff=method
_getLines=method

[Text_Diff_Engine_string]
diff=method
parseContextDiff=method
parseUnifiedDiff=method

[Text_Diff_Engine_xdiff]
diff=method

[Text_Diff_Op]
$final=variable
$orig=variable
nfinal=method
norig=method
reverse=method

[Text_Diff_Op_add]
reverse=method

[Text_Diff_Op_change]
reverse=method

[Text_Diff_Op_copy]
reverse=method

[Text_Diff_Op_delete]
reverse=method

[Text_Diff_Renderer]
$_leading_context_lines=variable
$_trailing_context_lines=variable
getParams=method
render=method
_added=method
_block=method
_blockHeader=method
_changed=method
_context=method
_deleted=method
_endBlock=method
_endDiff=method
_lines=method
_startBlock=method
_startDiff=method

[Text_Diff_Renderer_context]
$_leading_context_lines=variable
$_second_block=variable
$_trailing_context_lines=variable
_added=method
_blockHeader=method
_changed=method
_context=method
_deleted=method
_endBlock=method

[Text_Diff_Renderer_inline]
$_block_header=variable
$_del_prefix=variable
$_del_suffix=variable
$_ins_prefix=variable
$_ins_suffix=variable
$_leading_context_lines=variable
$_split_level=variable
$_trailing_context_lines=variable
_added=method
_blockHeader=method
_changed=method
_deleted=method
_encode=method
_lines=method
_splitOnWords=method
_startBlock=method

[Text_Diff_Renderer_unified]
$_leading_context_lines=variable
$_trailing_context_lines=variable
_added=method
_blockHeader=method
_changed=method
_context=method
_deleted=method

[Text_Diff_ThreeWay]
$_conflictingBlocks=variable
mergedOutput=method
_diff3=method

[Text_Diff_ThreeWay_BlockBuilder]
finish=method
input=method
isEmpty=method
out1=method
out2=method
_append=method
_init=method

[Text_Diff_ThreeWay_Op]
isConflict=method
merged=method

[Text_Diff_ThreeWay_Op_copy]
isConflict=method
merged=method
Text_Diff_ThreeWay_Op_Copy=method

[Text_Diff3]
$_conflictingBlocks=variable
mergedOutput=method
_diff3=method

[Text_Diff3_BlockBuilder]
finish=method
input=method
isEmpty=method
out1=method
out2=method
_append=method
_init=method

[Text_Diff3_Op]
isConflict=method
merged=method

[Text_Diff3_Op_copy]
isConflict=method
merged=method
Text_Diff3_Op_Copy=method

[Text_Highlighter]
$_conditions=variable
$_disabled=variable
$_language=variable
$_options=variable
$_renderer=variable
$_syntax=variable
factory=method
highlight=method
setRenderer=method
_checkDefines=method
_getToken=method
_matchingBrackets=method

[Text_Highlighter_ABAP]
$_language=variable

[Text_Highlighter_CPP]
$_language=variable

[Text_Highlighter_CSS]
$_language=variable

[Text_Highlighter_DIFF]
$_language=variable

[Text_Highlighter_DTD]
$_language=variable

[Text_Highlighter_Generator]
$folding=variable
$language=variable
$_authors=variable
$_blockOrder=variable
$_blocks=variable
$_code=variable
$_comment=variable
$_defClass=variable
$_element=variable
$_errors=variable
$_inComment=variable
$_keywords=variable
$_regions=variable
$_syntaxFile=variable
cdataHandler=method
generate=method
getCode=method
getErrors=method
hasErrors=method
saveCode=method
setInputFile=method
xmltag_Author=method
xmltag_Block=method
xmltag_Block_=method
xmltag_But=method
xmltag_Comment=method
xmltag_Comment_=method
xmltag_Contains=method
xmltag_Default=method
xmltag_Highlight=method
xmltag_Highlight_=method
xmltag_Keyword=method
xmltag_Keywords=method
xmltag_Keywords_=method
xmltag_Onlyin=method
xmltag_PartClass=method
xmltag_PartGroup=method
xmltag_Region=method
xmltag_Region_=method
_aliasAttributes=method
_countSubpatterns=method
_declareErrorMessages=method
_error=method
_exportArray=method
_formatError=method
_makeRE=method
_sortBlocks=method
_sortLookFor=method

[Text_Highlighter_HTML]
$_language=variable

[Text_Highlighter_JAVA]
$_language=variable

[Text_Highlighter_JAVASCRIPT]
$_language=variable

[Text_Highlighter_MYSQL]
$_language=variable

[Text_Highlighter_PERL]
$_language=variable

[Text_Highlighter_PHP]
$_language=variable

[Text_Highlighter_PYTHON]
$_language=variable

[Text_Highlighter_Renderer]
acceptToken=method
finalize=method
getOutput=method
preprocess=method
reset=method
setCurrentLanguage=method

[Text_Highlighter_Renderer_Array]
$_enumerated=variable
$_htmlspecialchars=variable
$_output=variable
$_tabsize=variable
acceptToken=method
getOutput=method
preprocess=method
reset=method
_getFullClassName=method

[Text_Highlighter_Renderer_BB]
$_bb_tags=variable
$_colors=variable
$_numbers=variable
$_tag_brackets=variable
finalize=method
reset=method

[Text_Highlighter_Renderer_Console]
$_colors=variable
$_defColors=variable
$_lastClass=variable
$_numbers=variable
$_output=variable
$_tabsize=variable
acceptToken=method
finalize=method
getOutput=method
preprocess=method
reset=method

[Text_Highlighter_Renderer_Html]
$_class_map=variable
$_doclinks=variable
$_numbers=variable
$_numbers_start=variable
$_output=variable
$_style_map=variable
$_tabsize=variable
finalize=method
reset=method
_decorate=method
_getFullClassName=method
_getStyling=method

[Text_Highlighter_Renderer_HtmlTags]
$_hilite_tags=variable
$_numbers=variable
finalize=method
reset=method

[Text_Highlighter_Renderer_JSON]
finalize=method

[Text_Highlighter_Renderer_XML]
$_serializer_options=variable
finalize=method
reset=method

[Text_Highlighter_RUBY]
$_language=variable

[Text_Highlighter_SH]
$_language=variable

[Text_Highlighter_SQL]
$_language=variable

[Text_Highlighter_VBSCRIPT]
$_language=variable

[Text_Highlighter_XML]
$_language=variable

[CTimestampBehavior]
$map=variable
beforeSave=method
getTimestampByAttribute=method
getTimestampByColumnType=method

[CBaseListView]
init=method
registerClientScript=method
renderContent=method
renderEmptyText=method
renderItems=method
renderKeys=method
renderPager=method
renderSection=method
renderSummary=method
run=method

[CBreadcrumbs]
run=method

[CDetailView]
getFormatter=method
init=method
run=method
setFormatter=method

[CListView]
init=method
registerClientScript=method
renderItems=method
renderSorter=method

[CMenu]
init=method
isItemActive=method
normalizeItems=method
renderMenu=method
renderMenuItem=method
renderMenuRecursive=method
run=method

[CPortlet]
init=method
renderContent=method
renderDecoration=method
run=method

[RecentComments]
getRecentComments=method
renderContent=method

[TagCloud]
renderContent=method

[UserMenu]
init=method
renderContent=method

[CButtonColumn]
init=method
initDefaultButtons=method
registerClientScript=method
renderButton=method
renderDataCellContent=method

[CCheckBoxColumn]
init=method
renderDataCellContent=method
renderHeaderCellContent=method

[CDataColumn]
init=method
renderDataCellContent=method
renderFilterCellContent=method
renderHeaderCellContent=method

[CGridColumn]
getHasFooter=method
init=method
renderDataCell=method
renderDataCellContent=method
renderFilterCell=method
renderFilterCellContent=method
renderFooterCell=method
renderFooterCellContent=method
renderHeaderCell=method
renderHeaderCellContent=method

[CGridView]
createDataColumn=method
getFormatter=method
getHasFooter=method
init=method
initColumns=method
registerClientScript=method
renderFilter=method
renderItems=method
renderTableBody=method
renderTableFooter=method
renderTableHeader=method
renderTableRow=method
setFormatter=method

[CLinkColumn]
renderDataCellContent=method

[CJuiAccordion]
run=method

[CJuiAutoComplete]
run=method

[CJuiButton]
init=method
run=method

[CJuiDatePicker]
run=method

[CJuiDialog]
init=method
run=method

[CJuiDraggable]
init=method
run=method

[CJuiDroppable]
init=method
run=method

[CJuiInputWidget]
hasModel=method
resolveNameID=method

[CJuiProgressBar]
run=method

[CJuiResizable]
init=method
run=method

[CJuiSelectable]
run=method

[CJuiSlider]
run=method

[CJuiSliderInput]
run=method

[CJuiSortable]
run=method

[CJuiTabs]
registerCoreScripts=method
run=method

[CJuiWidget]
init=method
registerCoreScripts=method
registerScriptFile=method
resolvePackagePath=method

[Comment]
model=method
approve=method
attributeLabels=method
beforeSave=method
findRecentComments=method
getAuthorLink=method
getPendingCommentCount=method
getUrl=method
relations=method
rules=method
tableName=method

[CommentController]
accessRules=method
actionApprove=method
actionDelete=method
actionIndex=method
actionUpdate=method
filters=method
loadModel=method

[Contact]
model=method

[DefaultController]
actionIndex=method

[HTML5]
afterAttributeNameState=method
afterDoctypeNameState=method
attributeNameState=method
attributeValueDoubleQuotedState=method
attributeValueSingleQuotedState=method
attributeValueUnquotedState=method
beforeAttributeNameState=method
beforeAttributeValueState=method
beforeDoctypeNameState=method
bogusCommentState=method
bogusDoctypeState=method
char=method
character=method
characters=method
closeTagOpenState=method
commentDashState=method
commentEndState=method
commentState=method
dataState=method
doctypeNameState=method
doctypeState=method
emitToken=method
entity=method
entityDataState=method
entityInAttributeValueState=method
EOF=method
markupDeclarationOpenState=method
save=method
tagNameState=method
tagOpenState=method

[HTML5TreeConstructer]
afterBody=method
afterFrameset=method
afterHead=method
appendToRealParent=method
beforeHead=method
clearStackToTableContext=method
clearTheActiveFormattingElementsUpToTheLastMarker=method
closeCell=method
elementInScope=method
emitToken=method
generateImpliedEndTags=method
getElementCategory=method
inBody=method
inCaption=method
inCell=method
inColumnGroup=method
inFrameset=method
inHead=method
initPhase=method
inRow=method
inSelect=method
insertComment=method
insertElement=method
insertText=method
inTable=method
inTableBody=method
mainPhase=method
reconstructActiveFormattingElements=method
resetInsertionMode=method
rootElementPhase=method
save=method
trailingEndPhase=method

[HTMLPurifier]
$instance=variable
getInstance=method
instance=method
addFilter=method
purify=method
purifyArray=method

[HTMLPurifier_AttrCollections]
expandIdentifiers=method
performInclusions=method

[HTMLPurifier_AttrDef]
expandCSSEscape=method
make=method
mungeRgb=method
parseCDATA=method
validate=method

[HTMLPurifier_AttrDef_CSS]
validate=method

[HTMLPurifier_AttrDef_CSS_AlphaValue]
validate=method

[HTMLPurifier_AttrDef_CSS_Background]
validate=method

[HTMLPurifier_AttrDef_CSS_BackgroundPosition]
validate=method

[HTMLPurifier_AttrDef_CSS_Border]
validate=method

[HTMLPurifier_AttrDef_CSS_Color]
validate=method

[HTMLPurifier_AttrDef_CSS_Composite]
validate=method

[HTMLPurifier_AttrDef_CSS_DenyElementDecorator]
validate=method

[HTMLPurifier_AttrDef_CSS_Filter]
validate=method

[HTMLPurifier_AttrDef_CSS_Font]
validate=method

[HTMLPurifier_AttrDef_CSS_FontFamily]
validate=method

[HTMLPurifier_AttrDef_CSS_ImportantDecorator]
validate=method

[HTMLPurifier_AttrDef_CSS_Length]
validate=method

[HTMLPurifier_AttrDef_CSS_ListStyle]
validate=method

[HTMLPurifier_AttrDef_CSS_Multiple]
validate=method

[HTMLPurifier_AttrDef_CSS_Number]
validate=method

[HTMLPurifier_AttrDef_CSS_Percentage]
validate=method

[HTMLPurifier_AttrDef_CSS_TextDecoration]
validate=method

[HTMLPurifier_AttrDef_CSS_URI]
validate=method

[HTMLPurifier_AttrDef_Enum]
make=method
validate=method

[HTMLPurifier_AttrDef_HTML_Bool]
make=method
validate=method

[HTMLPurifier_AttrDef_HTML_Class]
filter=method
split=method

[HTMLPurifier_AttrDef_HTML_Color]
validate=method

[HTMLPurifier_AttrDef_HTML_FrameTarget]
validate=method

[HTMLPurifier_AttrDef_HTML_ID]
validate=method

[HTMLPurifier_AttrDef_HTML_Length]
validate=method

[HTMLPurifier_AttrDef_HTML_LinkTypes]
validate=method

[HTMLPurifier_AttrDef_HTML_MultiLength]
validate=method

[HTMLPurifier_AttrDef_HTML_Nmtokens]
filter=method
split=method
validate=method

[HTMLPurifier_AttrDef_HTML_Pixels]
make=method
validate=method

[HTMLPurifier_AttrDef_Integer]
validate=method

[HTMLPurifier_AttrDef_Lang]
validate=method

[HTMLPurifier_AttrDef_Switch]
validate=method

[HTMLPurifier_AttrDef_Text]
validate=method

[HTMLPurifier_AttrDef_URI]
make=method
validate=method

[HTMLPurifier_AttrDef_URI_Email]
unpack=method

[HTMLPurifier_AttrDef_URI_Email_SimpleCheck]
validate=method

[HTMLPurifier_AttrDef_URI_Host]
validate=method

[HTMLPurifier_AttrDef_URI_IPv4]
validate=method
_loadRegex=method

[HTMLPurifier_AttrDef_URI_IPv6]
validate=method

[HTMLPurifier_AttrTransform]
confiscateAttr=method
prependCSS=method
transform=method

[HTMLPurifier_AttrTransform_Background]
transform=method

[HTMLPurifier_AttrTransform_BdoDir]
transform=method

[HTMLPurifier_AttrTransform_BgColor]
transform=method

[HTMLPurifier_AttrTransform_BoolToCSS]
transform=method

[HTMLPurifier_AttrTransform_Border]
transform=method

[HTMLPurifier_AttrTransform_EnumToCSS]
transform=method

[HTMLPurifier_AttrTransform_ImgRequired]
transform=method

[HTMLPurifier_AttrTransform_ImgSpace]
transform=method

[HTMLPurifier_AttrTransform_Input]
transform=method

[HTMLPurifier_AttrTransform_Lang]
transform=method

[HTMLPurifier_AttrTransform_Length]
transform=method

[HTMLPurifier_AttrTransform_Name]
transform=method

[HTMLPurifier_AttrTransform_NameSync]
transform=method

[HTMLPurifier_AttrTransform_Nofollow]
transform=method

[HTMLPurifier_AttrTransform_SafeEmbed]
transform=method

[HTMLPurifier_AttrTransform_SafeObject]
transform=method

[HTMLPurifier_AttrTransform_SafeParam]
transform=method

[HTMLPurifier_AttrTransform_ScriptRequired]
transform=method

[HTMLPurifier_AttrTransform_Textarea]
transform=method

[HTMLPurifier_AttrTypes]
get=method
set=method

[HTMLPurifier_AttrValidator]
validateToken=method

[HTMLPurifier_Bootstrap]
autoload=method
getPath=method
registerAutoload=method

[HTMLPurifier_ChildDef]
getAllowedElements=method
validateChildren=method

[HTMLPurifier_ChildDef_Chameleon]
validateChildren=method

[HTMLPurifier_ChildDef_Custom]
validateChildren=method
_compileRegex=method

[HTMLPurifier_ChildDef_Empty]
validateChildren=method

[HTMLPurifier_ChildDef_Optional]
validateChildren=method

[HTMLPurifier_ChildDef_Required]
validateChildren=method

[HTMLPurifier_ChildDef_StrictBlockquote]
getAllowedElements=method
init=method
validateChildren=method

[HTMLPurifier_ChildDef_Table]
validateChildren=method

[HTMLPurifier_Config]
create=method
createDefault=method
getAllowedDirectivesForForm=method
inherit=method
loadArrayFromForm=method
prepareArrayFromForm=method
autoFinalize=method
finalize=method
get=method
getAll=method
getBatch=method
getBatchSerial=method
getCSSDefinition=method
getDefinition=method
getHTMLDefinition=method
getSerial=method
getURIDefinition=method
initDefinition=method
isFinalized=method
loadArray=method
loadIni=method
maybeGetRawCSSDefinition=method
maybeGetRawDefinition=method
maybeGetRawHTMLDefinition=method
maybeGetRawURIDefinition=method
mergeArrayFromForm=method
serialize=method
set=method
triggerError=method
_listify=method

[HTMLPurifier_ConfigSchema]
__construct=method
instance=method
makeFromSerial=method
add=method
addAlias=method
addAllowedValues=method
addValueAliases=method
postProcess=method

[HTMLPurifier_ConfigSchema_Builder_ConfigSchema]
build=method

[HTMLPurifier_ConfigSchema_Builder_Xml]
build=method
buildDirective=method
export=method
writeHTMLDiv=method

[HTMLPurifier_ConfigSchema_Interchange]
addDirective=method
validate=method

[HTMLPurifier_ConfigSchema_Interchange_Id]
make=method
getDirective=method
getRootNamespace=method
toString=method

[HTMLPurifier_ConfigSchema_InterchangeBuilder]
buildFromDirectory=method
build=method
buildDir=method
buildDirective=method
buildFile=method
evalArray=method
id=method
lookup=method
_findUnused=method

[HTMLPurifier_ConfigSchema_Validator]
error=method
getFormattedContext=method
validate=method
validateDirective=method
validateDirectiveAliases=method
validateDirectiveAllowed=method
validateDirectiveValueAliases=method
validateId=method
with=method

[HTMLPurifier_ConfigSchema_ValidatorAtom]
assertAlnum=method
assertIsArray=method
assertIsBool=method
assertIsLookup=method
assertIsString=method
assertNotEmpty=method
assertNotNull=method
error=method

[HTMLPurifier_ContentSets]
convertToLookup=method
generateChildDef=method
generateChildDefCallback=method
getChildDef=method

[HTMLPurifier_Context]
destroy=method
exists=method
get=method
loadArray=method
register=method

[HTMLPurifier_CSSDefinition]
doSetup=method
doSetupProprietary=method
doSetupTricky=method
doSetupTrusted=method
setupConfigStuff=method

[HTMLPurifier_Definition]
doSetup=method
setup=method

[HTMLPurifier_DefinitionCache]
add=method
checkDefType=method
cleanup=method
flush=method
generateKey=method
get=method
isOld=method
remove=method
replace=method
set=method

[HTMLPurifier_DefinitionCache_Decorator]
add=method
cleanup=method
copy=method
decorate=method
flush=method
get=method
remove=method
replace=method
set=method

[HTMLPurifier_DefinitionCache_Decorator_Cleanup]
add=method
copy=method
get=method
replace=method
set=method

[HTMLPurifier_DefinitionCache_Decorator_Memory]
add=method
copy=method
get=method
replace=method
set=method

[HTMLPurifier_DefinitionCache_Null]
add=method
cleanup=method
flush=method
get=method
remove=method
replace=method
set=method

[HTMLPurifier_DefinitionCache_Serializer]
add=method
cleanup=method
flush=method
generateBaseDirectoryPath=method
generateDirectoryPath=method
generateFilePath=method
get=method
remove=method
replace=method
set=method
_prepareDir=method
_testPermissions=method
_write=method

[HTMLPurifier_DefinitionCacheFactory]
instance=method
addDecorator=method
create=method
register=method
setup=method

[HTMLPurifier_DoctypeRegistry]
get=method
getDoctypeFromConfig=method
make=method
register=method

[HTMLPurifier_ElementDef]
create=method
mergeIn=method
_mergeAssocArray=method

[HTMLPurifier_Encoder]
cleanUTF8=method
convertFromUTF8=method
convertToASCIIDumbLossless=method
convertToUTF8=method
muteErrorHandler=method
testEncodingSupportsASCII=method
unichr=method

[HTMLPurifier_EntityLookup]
instance=method
setup=method

[HTMLPurifier_EntityParser]
nonSpecialEntityCallback=method
specialEntityCallback=method
substituteNonSpecialEntities=method
substituteSpecialEntities=method

[HTMLPurifier_ErrorCollector]
getHTMLFormatted=method
getRaw=method
send=method
_renderStruct=method

[HTMLPurifier_ErrorStruct]
addError=method
getChild=method

[HTMLPurifier_Filter]
postFilter=method
preFilter=method

[HTMLPurifier_Filter_ExtractStyleBlocks]
cleanCSS=method
preFilter=method
styleCallback=method

[HTMLPurifier_Filter_YouTube]
armorUrl=method
postFilter=method
postFilterCallback=method
preFilter=method

[HTMLPurifier_Generator]
escape=method
generateAttributes=method
generateFromToken=method
generateFromTokens=method
generateScriptFromToken=method

[HTMLPurifier_HTMLDefinition]
addAttribute=method
addBlankElement=method
addElement=method
doSetup=method
getAnonymousModule=method
parseTinyMCEAllowedList=method
processModules=method
setupConfigStuff=method

[HTMLPurifier_HTMLModule]
addBlankElement=method
addElement=method
addElementToContentSet=method
getChildDef=method
makeLookup=method
mergeInAttrIncludes=method
parseContents=method
setup=method

[HTMLPurifier_HTMLModule_Bdo]
setup=method

[HTMLPurifier_HTMLModule_Edit]
getChildDef=method
setup=method

[HTMLPurifier_HTMLModule_Forms]
setup=method

[HTMLPurifier_HTMLModule_Hypertext]
setup=method

[HTMLPurifier_HTMLModule_Image]
setup=method

[HTMLPurifier_HTMLModule_Legacy]
setup=method

[HTMLPurifier_HTMLModule_List]
setup=method

[HTMLPurifier_HTMLModule_Name]
setup=method

[HTMLPurifier_HTMLModule_Nofollow]
setup=method

[HTMLPurifier_HTMLModule_Object]
setup=method

[HTMLPurifier_HTMLModule_Presentation]
setup=method

[HTMLPurifier_HTMLModule_Proprietary]
setup=method

[HTMLPurifier_HTMLModule_Ruby]
setup=method

[HTMLPurifier_HTMLModule_SafeEmbed]
setup=method

[HTMLPurifier_HTMLModule_SafeObject]
setup=method

[HTMLPurifier_HTMLModule_Scripting]
setup=method

[HTMLPurifier_HTMLModule_StyleAttribute]
setup=method

[HTMLPurifier_HTMLModule_Tables]
setup=method

[HTMLPurifier_HTMLModule_Target]
setup=method

[HTMLPurifier_HTMLModule_Text]
setup=method

[HTMLPurifier_HTMLModule_Tidy]
getFixesForLevel=method
getFixType=method
makeFixes=method
makeFixesForLevel=method
populate=method
setup=method

[HTMLPurifier_HTMLModule_Tidy_Name]
makeFixes=method

[HTMLPurifier_HTMLModule_Tidy_Proprietary]
makeFixes=method

[HTMLPurifier_HTMLModule_Tidy_Strict]
getChildDef=method
makeFixes=method

[HTMLPurifier_HTMLModule_Tidy_XHTML]
makeFixes=method

[HTMLPurifier_HTMLModule_Tidy_XHTMLAndHTML4]
makeFixes=method

[HTMLPurifier_HTMLModuleManager]
addModule=method
addPrefix=method
getElement=method
getElements=method
processModule=method
registerModule=method
setup=method

[HTMLPurifier_IDAccumulator]
build=method
add=method
load=method

[HTMLPurifier_Injector]
allowsElement=method
backward=method
checkNeeded=method
current=method
forward=method
forwardUntilEndToken=method
getRewind=method
handleElement=method
handleEnd=method
handleText=method
notifyEnd=method
prepare=method
rewind=method

[HTMLPurifier_Injector_AutoParagraph]
handleElement=method
handleText=method
_checkNeedsP=method
_isInline=method
_pLookAhead=method
_pStart=method
_splitText=method

[HTMLPurifier_Injector_DisplayLinkURI]
handleElement=method
handleEnd=method

[HTMLPurifier_Injector_Linkify]
handleText=method

[HTMLPurifier_Injector_PurifierLinkify]
handleText=method
prepare=method

[HTMLPurifier_Injector_RemoveEmpty]
handleElement=method
prepare=method

[HTMLPurifier_Injector_RemoveSpansWithoutAttributes]
handleElement=method
handleEnd=method
prepare=method

[HTMLPurifier_Injector_SafeObject]
handleElement=method
handleEnd=method
prepare=method

[HTMLPurifier_Language]
formatMessage=method
getErrorName=method
getMessage=method
listify=method
load=method

[HTMLPurifier_LanguageFactory]
instance=method
create=method
getFallbackFor=method
loadLanguage=method
setup=method

[HTMLPurifier_Length]
$allowedUnits=variable
make=method
compareTo=method
getN=method
getUnit=method
isValid=method
toString=method
validate=method

[HTMLPurifier_Lexer]
CDATACallback=method
create=method
escapeCDATA=method
escapeCommentedCDATA=method
removeIEConditional=method
extractBody=method
normalize=method
parseData=method
tokenizeHTML=method

[HTMLPurifier_Lexer_DirectLex]
parseAttributeString=method
scriptCallback=method
substrCount=method
tokenizeHTML=method

[HTMLPurifier_Lexer_DOMLex]
callbackArmorCommentEntities=method
callbackUndoCommentSubst=method
createEndNode=method
createStartNode=method
muteErrorHandler=method
tokenizeDOM=method
tokenizeHTML=method
transformAttrToAssoc=method
wrapHTML=method

[HTMLPurifier_Lexer_PEARSax3]
closeHandler=method
dataHandler=method
escapeHandler=method
muteStrictErrorHandler=method
openHandler=method
tokenizeHTML=method

[HTMLPurifier_Lexer_PH5P]
tokenizeHTML=method

[HTMLPurifier_PercentEncoder]
encode=method
normalize=method

[HTMLPurifier_Printer]
element=method
elementEmpty=method
end=method
escape=method
getClass=method
listify=method
prepareGenerator=method
row=method
start=method
text=method

[HTMLPurifier_Printer_ConfigForm]
getCSS=method
getJavaScript=method
render=method
renderNamespace=method
setTextareaDimensions=method

[HTMLPurifier_Printer_ConfigForm_bool]
render=method

[HTMLPurifier_Printer_ConfigForm_default]
render=method

[HTMLPurifier_Printer_ConfigForm_NullDecorator]
render=method

[HTMLPurifier_Printer_CSSDefinition]
render=method

[HTMLPurifier_Printer_HTMLDefinition]
heavyHeader=method
listifyAttr=method
listifyObjectList=method
listifyTagLookup=method
render=method
renderChildren=method
renderContentSets=method
renderDoctype=method
renderEnvironment=method
renderInfo=method

[HTMLPurifier_PropertyList]
get=method
getParent=method
has=method
reset=method
set=method
setParent=method
squash=method

[HTMLPurifier_PropertyListIterator]
accept=method

[HTMLPurifier_Strategy]
execute=method

[HTMLPurifier_Strategy_Composite]
execute=method

[HTMLPurifier_Strategy_FixNesting]
execute=method

[HTMLPurifier_Strategy_MakeWellFormed]
execute=method
insertBefore=method
processToken=method
remove=method
swap=method

[HTMLPurifier_Strategy_RemoveForeignElements]
execute=method

[HTMLPurifier_Strategy_ValidateAttributes]
execute=method

[HTMLPurifier_StringHash]
getAccessed=method
offsetGet=method
resetAccessed=method

[HTMLPurifier_StringHashParser]
parseFile=method
parseHandle=method
parseMultiFile=method

[HTMLPurifier_TagTransform]
prependCSS=method
transform=method

[HTMLPurifier_TagTransform_Font]
transform=method

[HTMLPurifier_TagTransform_Simple]
transform=method

[HTMLPurifier_Token]
position=method
rawPosition=method
__get=method

[HTMLPurifier_TokenFactory]
createComment=method
createEmpty=method
createEnd=method
createStart=method
createText=method

[HTMLPurifier_UnitConverter]
$units=variable
add=method
convert=method
div=method
getSigFigs=method
mul=method
round=method
scale=method

[HTMLPurifier_URI]
getSchemeObj=method
toString=method
validate=method

[HTMLPurifier_URIDefinition]
addFilter=method
doSetup=method
filter=method
postFilter=method
registerFilter=method
setupFilters=method
setupMemberVariables=method

[HTMLPurifier_URIFilter]
filter=method
prepare=method

[HTMLPurifier_URIFilter_DisableExternal]
filter=method
prepare=method

[HTMLPurifier_URIFilter_DisableExternalResources]
filter=method

[HTMLPurifier_URIFilter_DisableResources]
filter=method

[HTMLPurifier_URIFilter_HostBlacklist]
filter=method
prepare=method

[HTMLPurifier_URIFilter_MakeAbsolute]
filter=method
prepare=method
_collapseStack=method

[HTMLPurifier_URIFilter_Munge]
filter=method
makeReplace=method
prepare=method

[HTMLPurifier_URIParser]
parse=method

[HTMLPurifier_URIScheme]
doValidate=method
validate=method

[HTMLPurifier_URIScheme_data]
doValidate=method
muteErrorHandler=method

[HTMLPurifier_URIScheme_file]
doValidate=method

[HTMLPurifier_URIScheme_ftp]
doValidate=method

[HTMLPurifier_URIScheme_http]
doValidate=method

[HTMLPurifier_URIScheme_mailto]
doValidate=method

[HTMLPurifier_URIScheme_news]
doValidate=method

[HTMLPurifier_URIScheme_nntp]
doValidate=method

[HTMLPurifier_URISchemeRegistry]
instance=method
getScheme=method
register=method

[HTMLPurifier_VarParser]
getTypeName=method
parse=method
error=method
errorGeneric=method
errorInconsistent=method
parseImplementation=method

[HTMLPurifier_VarParser_Flexible]
parseImplementation=method

[HTMLPurifier_VarParser_Native]
evalExpression=method
parseImplementation=method

[Lookup]
$_items=variable
item=method
items=method
loadItems=method
model=method
tableName=method

[Markdown_Parser]
detab=method
doAnchors=method
doAutoLinks=method
doBlockQuotes=method
doCodeBlocks=method
doHardBreaks=method
doHeaders=method
doHorizontalRules=method
doImages=method
doItalicsAndBold=method
doLists=method
encodeAmpsAndAngles=method
encodeAttribute=method
encodeEmailAddress=method
formParagraphs=method
handleSpanToken=method
hashBlock=method
hashHTMLBlocks=method
hashPart=method
makeCodeSpan=method
outdent=method
parseSpan=method
prepareItalicsAndBold=method
processListItems=method
runBasicBlockGamut=method
runBlockGamut=method
runSpanGamut=method
setup=method
stripLinkDefinitions=method
teardown=method
transform=method
unhash=method
_detab_callback=method
_doAnchors_inline_callback=method
_doAnchors_reference_callback=method
_doAutoLinks_email_callback=method
_doAutoLinks_url_callback=method
_doBlockQuotes_callback=method
_doBlockQuotes_callback2=method
_doCodeBlocks_callback=method
_doHardBreaks_callback=method
_doHeaders_callback_atx=method
_doHeaders_callback_setext=method
_doImages_inline_callback=method
_doImages_reference_callback=method
_doLists_callback=method
_hashHTMLBlocks_callback=method
_initDetab=method
_processListItems_callback=method
_stripLinkDefinitions_callback=method
_unhash_callback=method

[MarkdownExtra_Parser]
appendFootnotes=method
doAbbreviations=method
doDefLists=method
doFencedCodeBlocks=method
doFootnotes=method
doHeaders=method
doTables=method
formParagraphs=method
hashClean=method
hashHTMLBlocks=method
processDefListItems=method
setup=method
stripAbbreviations=method
stripFootnotes=method
teardown=method
_appendFootnotes_callback=method
_doAbbreviations_callback=method
_doDefLists_callback=method
_doFencedCodeBlocks_callback=method
_doFencedCodeBlocks_newlines=method
_doHeaders_attr=method
_doHeaders_callback_atx=method
_doHeaders_callback_setext=method
_doTable_callback=method
_doTable_leadingPipe_callback=method
_hashHTMLBlocks_inHTML=method
_hashHTMLBlocks_inMarkdown=method
_processDefListItems_callback_dd=method
_processDefListItems_callback_dt=method
_stripAbbreviations_callback=method
_stripFootnotes_callback=method

[Post]
model=method
addComment=method
afterDelete=method
afterFind=method
afterSave=method
attributeLabels=method
beforeSave=method
getTagLinks=method
getUrl=method
normalizeTags=method
relations=method
rules=method
search=method
tableName=method

[PostController]
accessRules=method
actionAdmin=method
actionCreate=method
actionDelete=method
actionIndex=method
actionSuggestTags=method
actionUpdate=method
actionView=method
filters=method
loadModel=method
newComment=method

[SiteController]
actionContact=method
actionError=method
actionLogin=method
actionLogout=method
actions=method

[SiteTest]
testContact=method
testLoginLogout=method

[Tag]
array2string=method
model=method
string2array=method
addTags=method
attributeLabels=method
findTagWeights=method
relations=method
removeTags=method
rules=method
suggestTags=method
tableName=method
updateFrequency=method

[TextDiff]
compare=method

[User]
model=method
attributeLabels=method
generateSalt=method
hashPassword=method
relations=method
rules=method
tableName=method
validatePassword=method

[%entrytypes]
Variables=variable
Functions=method
Constants=constant

[%icons]
constant=4
method=2
variable=1

